0.242 2022-04-01
----------------


MAME Testers Bugs Fixed
-----------------------
- 07190: [Documentation] (jpmsys5sw.cpp) j5hilos: Punctuation in the description is incorrect [AntoPISA, sjy96525].
- 07800: [Gameplay] (model2.cpp) vf2 and clones: Activating debug mode causes a fatal error [Damian Rogers].
- 07908: [Documentation] (newton.cpp) mp110, mp120, mp130, mp2000, mp2100, newtonmp: Descriptions are incomplete [AntoPISA, sjy96525].
- 08209: [DIP/Input] (statriv2.cpp) hangman: DIP switches are labelled incorrectly [Steven Coomber].
- 08210: [Crash/Freeze] (actfancr.cpp) actfancr, triothep: Emulator crashes with a segmentation fault [AmatCoder].
- 08226: [Core] artwork: Color overflow on disk elements with some alpha values [hap].
- 08227: [Gameplay] lrescuem2: Collision detection is broken [AJR].
- 08236: [DIP/Input] (zodiack.cpp) bounty: Bonus life DIP switches are not labelled [Steven Coomber].
- 08238: [Graphics] (namcos2.cpp) valkyrie: Shadows are not being drawn [hap].
- 08242: [Plugins] The sol::buffer helper class does not work when type checking is enabled [Vas Crabb].
- 08243: [Documentation] (hh_cop400.cpp) mbaskb2, msoccer2: Manufacturer used “Mattel Electronics” branding [AntoPISA, hap].
- 08244: [DIP/Input] (taito_l.cpp) raimais, raimaisj, raimaisjo: Bonus life DIP switches are labelled incorrectly [Steven Coomber].
- 08245: [DIP/Input] (galaxian.cpp) spacempr: DIP switches are labelled incorrectly [Steve Coomber].
- 08249: [Graphics] (msx.cpp) mx10, pv7, pv16, cpc50a, cpc50b, cpc51 [gradius2]: Corrupt graphics make games unplayable [Tafoid].
- 08250: [DIP/Input] (r2dtank.cpp) r2dtank: Bonus life DIP switch settings are not labelled [Steven Coomber].
- 08251: [DIP/Input] (8080bw.cpp) skylove: Bonus life DIP switch settings are not labelled [Steven Coomber].
- 08254: [DIP/Input] (8080bw.cpp) claybust: Number of “Flings” DIP switch is not labelled [Steven Coomber].
- 08256: [DIP/Input] (vicdual.cpp) wantsega: Bonus life DIP switch is not labelled [Steven Coomber].
- 08257: [DIP/Input] (vicdual.cpp) alphaho: Bonus life DIP switch is not labelled [Steven Coomber].
- 08259: [DIP/Input] (galaxian.cpp) mimonkey, mimonscr, mimonsco, mimonscra: Fire mode DIP switch is not labelled [Steven Coomber].
- 08262: [DIP/Input] (galaxian.cpp) aracnis: Aracnis Lives DIP switch settings are not labelled [Steven Coomber].
- 08263: [DIP/Input] (alinvade.cpp) alinvade: Bonus Life DIP switch is not labelled [Steven Coomber].
- 08267: [DIP/Input] (8080bw.cpp) rollingc: Bonus Life DIP switch is not labelled [Steven Coomber].
- 08268: [DIP/Input] (galaxian.cpp) sfx, skelagon: Demo sound DIP switch is not labelled [Steven Coomber)


New working machines
--------------------
Bandai TC7: Air Traffic Control [hap, Sean Riddle]
Kenner Live Action Football [hap, Sean Riddle]
Kick & Kick (GNA36 VER. EAA) [Shiz, Windy Fairy]
Mattel Electronics Auto Race [hap, Sean Riddle]
Mattel Electronics Baseball (Mattel) [hap, Sean Riddle]
Mattel Electronics Football (Mattel) [hap, Sean Riddle]
Mattel Electronics Gravity (Mattel) [hap, Sean Riddle]
Mattel Electronics Missile Attack / Space Alert [hap, Sean Riddle]
Nelsonic (licensed from Nintendo) Star Fox (Nelsonic) [hap, Sean Riddle]
Rockwell 18R (Rockwell) [hap, Sean Riddle]
Tandy Corporation 3 in 1 Sports Arena [hap, Sean Riddle]
Tiger Electronics Deluxe Football with Instant Replay [hap, Sean Riddle]
Tiger Electronics Playmaker: Hockey, Soccer, Basketball [hap, Sean Riddle]
TimeTop Super Game 25-in-1 (GM-228) [TeamEurope]
VTech 4 in 1 Electronic Games (VTech) [hap, Sean Riddle]


New working clones
------------------
Ace Driver: Victory Lap (Rev. ADV2 Ver.B, World) [Jim Kingery, Brian Troha, The Dumping Union]
beatmania complete MIX (ver JA-C) [Taro]
Credit Poker (ver.30b, 7 & 9 bonus) [Jorge Silva]
Cruis'n USA (v1.1) [Rasmus Bælum Rolfshøj]
Cruis'n USA (v2.0) [Brian Troha, The Dumping Union]
Frogger (Turtles hardware) [chaneman]
Fruit Star Bonus (Ver 8.30UNG-200) [TeamEurope, Roberto Fresca, Grull Osgo, f205v, Jeroen Bijl, Bad A Billy, pablopelos]
Fruit Star Bonus (Ver 8.36UNG-1100) [TeamEurope, Roberto Fresca, Grull Osgo, f205v, Jeroen Bijl, Bad A Billy, pablopelos]
ILCE / SEP Micro-Sep Model 3 [Barry Nelson]
Kid no Hore Hore Daisakusen (bootleg set 2) [jordigahan]
Liberty Electronics Freedom 120/Aspect 100 [Bitsavers]
Mandinka (bootleg of Amidar) [Victor Fernandez (City Game)]
Monsters World 2 (bootleg of Super Pang) [Recreativas.org, David Torres, ClawGrip]
Ms. Pac-Man (Leisure and Allied bootleg) [Guru]
Pang! 3 (bootleg, set 4) [Janniz]
Pang! 3 (bootleg, set 5) [Janniz]
Parker Brothers Merlin - The Electronic Wizard (set 2) [Kevin Horton]
Red Hawk (horizontal, Spain, set 2) [Victor Fernandez (City Game)]
RFC2795 Ltd RC2014 Mini [Chris Swan]
Ridge Racer (Rev. RR2 Ver.B, World) [Jim Kingery, Brian Troha, The Dumping Union]
Ridge Racer 2 (Rev. RRS8, World) [Jim Kingery, Brian Troha, The Dumping Union]
Rim Rockin' Basketball (V1.5) [Brian Troha, The Dumping Union]
Roland Music Style Card Software List holder [ClawGrip]
Stuart Conner TMS9995 breadboard [Chris Swan]


Machines promoted to working
----------------------------
Fruit Star Bonus (Ver 8.27PVIE) [Roberto Fresca, Grull Osgo]
Good Luck! poker (Sisteme France) [Grull Osgo]
Texas Instruments TMAM 6095 [Chris Swan]
Time Traveler (set 1) [Ryan Holtz, Matt Ownby, ld-decode Team]


Clones promoted to working
--------------------------
Attack Force (unencrypted) [IZ8DWF]
Fruit Star Bonus (Ver 8.20PIR) [Roberto Fresca, Grull Osgo]


New machines marked as NOT_WORKING
----------------------------------
Basketball (Benchmark Games, set 1) [Museo del Recreativo, ClawGrip]
Bin Bin Bingo (Japan, main unit) [nnap]
Conic Computer Chess (Conic, model 7013) [hap, Berger]
Dino Family [Jorge Silva]
Elektronika MK-98 [shattered]
Gun Shot [Museo del Recreativo]
Nelsonic (licensed from Nintendo) Super Mario Bros. 3 (Nelsonic) [hap, Sean Riddle]
Nelsonic (licensed from Nintendo) Super Mario World (Nelsonic) [hap, Sean Riddle]
Player's Choice (PC644VZ) Jacks or Better [Brian Troha]
Player's Choice RAM Clear [Brian Troha]
Super Road Champions [TTL] [f205v]
Ten Strike Classic [Museo del Recreativo, ClawGrip]
U.S.A. Football (P08, redemption) [PinMAME]
unknown game on TrueSys hardware [Jorge Silva]
Wyse Technology WY-185ES (v2.0) [Bitsavers]
Wyse Technology WY-65 (v2.1) [Bitsavers]


New clones marked as NOT_WORKING
--------------------------------
Airborne (1.5) [inkochnito]
Basketball (Benchmark Games, set 2) [Museo del Recreativo, ClawGrip]
Dead or Alive (Export, Model 2A, Revision A)  [Guru]
Dino Family (Portuguese, Tangasoft license) [Jorge Silva]
MAC's Galaxy (blue version, M.042) [Victor Fernandez (City Game)]
Player's Choice (PC679CY) Jacks or Better [Brian Troha]
Player's Choice (PC714VZ) Jacks or Better [Brian Troha]
Player's Choice (PC716VY) Jacks or Better [Brian Troha]
Player's Choice (PC718VY) Jacks or Better [Brian Troha]
Pontoon (FD1094 317-?) [nnap]
Royal Card (stealth with NES multigame, set 2)
Super Poker (v201UA) [Jorge Silva]


New working software list additions
-----------------------------------
apple2gs_flop_clcracked:
  12-Bar Tunesmith (cleanly cracked), Aural Skills: Basic Chords (cleanly cracked), Aural Skills: Intervals (cleanly cracked),
  Aural Skills: Seventh Chords (cleanly cracked), Clef Notes (cleanly cracked), Ear Challenger: A Music Game (cleanly cracked),
  Ear Training Skills (cleanly cracked), The Elves and The Shoemaker (cleanly cracked), Find That Tune (cleanly cracked),
  Funbunch College Prep (cleanly cracked), Keyboard Tutor (cleanly cracked), Let's Explore Word Processing (cleanly cracked),
  Listen! A Music Skills Program (cleanly cracked), Lucky's Magic Hat (cleanly cracked),
  Math #1: The Mechanics of Math Words (cleanly cracked), Mindscape's Reading Workshop: Grade 5 (cleanly cracked),
  Music Appreciation: Music History (cleanly cracked), Music Appreciation: The Musical Language (cleanly cracked),
  Music History Review: Composers (cleanly cracked), Music Theory Flash Cards (cleanly cracked),
  Note Detective I: Elementary Level (cleanly cracked), Note Speller (cleanly cracked),
  Patterns in Pitch: Level One (cleanly cracked), Patterns in Pitch: Level Three (cleanly cracked),
  Patterns in Pitch: Level Two (cleanly cracked), Patterns in Rhythm: Level Three (cleanly cracked),
  Patterns in Rhythm: Level Two (cleanly cracked), Perspectives in Music History (cleanly cracked),
  pfs:report (Version B.02) (cleanly cracked), Quentin Visits The Big City (cleanly cracked),
  The Readability Machine (Version 2.0) (cleanly cracked), Ripley's Using Other Sources (cleanly cracked) [4am, Firehawke]
  Space Conquerors (Version 1.5) (cleanly cracked) [4am, san inc., Firehawke]
apple2_flop_orig:
  Ace Detective (800K 3.5"), Amazing Arithmetricks (Version 1.0) (800K 3.5"), Ape Escape, Arizona Mix (Version 1.0) (800K 3.5"),
  Artesians, At the Gates of Moscow 1941, The Bank Street Writer III (20-Column Version) (800K 3.5"), Battleship Commander,
  Battlesight (Version 3.3.1), Beneath Apple Manor (Version 1.1), Beneath Apple Manor: The Special Edition, Bezare,
  Big Book Maker: The Rain Forest (800K 3.5"), Big Book Maker: The Three Princesses (800K 3.5"), Black Belt, The Black Cauldron,
  Caravans to Timbuktu! (Version 1.0) (800K 3.5"), The Chessmaster 2000, CommuniKeys (Version 1.1) (800K 3.5"), Competition Karate,
  Computer Concepts (800K 3.5"), Conglomerates Collide, Conquering Decimals (+, -) (Version 1.1) (800K 3.5"),
  Conquering Decimals (x, /) (Version 1.1) (800K 3.5"), Conquering Fractions (+, -) (Version 1.1) (800K 3.5"),
  Conquering Fractions (x, /) (Version 1.1) (800K 3.5"), Conquering Whole Numbers (Version 1.1) (800K 3.5"),
  Copy II Plus (Version 3.0), Creature Venture, Critical Mass, Cross Country Rallye, Crypt of Medea,
  Cryptoquest (Version 1.0) (800K 3.5"), Crystal Caverns, Curious George Goes Shopping (800K 3.5"),
  Curious George in Outer Space (800K 3.5"), Curious George Visits the Library (800K 3.5"), Cyborg (Version 2), Death Race '82,
  Deathmaze 5000, Dog Sled Ambassadors (Version 1.0) (800K 3.5"), Dr. Livingstone, I Presume? (Version 1.0) (800K 3.5"),
  Dueling Digits (Version 1.0) (800K 3.5"), The Eating Machine, Eerieville Library (Version 1.0) (800K 3.5"),
  Estimation Activities (Version 1.0) (800K 3.5"), Estimation Strategies (Version 1.0) (800K 3.5"),
  Estimation: Quick Solve I (Version 1.0) (800K 3.5"), Exploring Chaos (Version 1.0) (800K 3.5"),
  Exploring Gas Laws (Version 1.0) (800K 3.5"), La Fábrica (800K 3.5"), Facts and Fallacies (Version 02.01.87) (800K 3.5"),
  Fantasyland 2041 A.D., The Final Conflict, First-Letter Fun (Version 1.1) (800K 3.5"), Fish School (Version 1.0) (800K 3.5"),
  Five Star Forecast (Version 1.0) (800K 3.5"), Fossil Hunter (Version 1.0) (800K 3.5"),
  Fraction Concepts, Inc. (Version 1.2) (800K 3.5"), Fraction Munchers (Version 1.0) (800K 3.5"),
  Freedom! (Version 1.0) (800K 3.5"), The Friendly Computer (Version 1.5) (800K 3.5"), Galactic Quest,
  Gemstone Healer (Version 1.2), Gin Rummy, Grammar Gazette (Version 1.0) (800K 3.5"), Grammar Gobble (Version 1.0) (800K 3.5"),
  Grammar Madness (Version 1.0) (800K 3.5"), Grammar Monsters (Version 1.0) (800K 3.5"), Grammar Toy Shop (Version 1.0) (800K 3.5"),
  Grapple, The Great Gonzo in Word Rider, The Guild of Thieves, Gunslinger, Handy Dandy, The Hazards of Voltageville,
  His Majesty's Ship "Impetuous", History Makers (Version 1.0) (800K 3.5"), Instant Survey (Version 1.0) (800K 3.5"), The Institute,
  International Gran Prix (Riverbank Software), Intrigue!, Jenny's Journeys (Version 1.0) (800K 3.5"), Jinxter (Version 1.0),
  Jump Jet, Lewis and Clark Stayed Home (Version 1.0) (800K 3.5"), Locksmith 3.1, Lunar Greenhouse (Version 1.1) (800K 3.5"),
  Mastering Math Worksheet Generator (Version 1.1) (800K 3.5"), Max-Command, Measure Works (Version 1.0) (800K 3.5"),
  Micro Mother Goose, Miner's Cave (Version 1.0) (800K 3.5"), Missile Defense, Mixed-Up Mother Goose (Version 1.0I),
  Money Works (Version 1.1) (800K 3.5"), Mouskattack, Moving Museum (Version 1.0) (800K 3.5"),
  Murphy's Minerals (Version 1.0) (800K 3.5"), Mystery Matter (Version 1.1) (800K 3.5"), Neutrons, Nibbles Away III (Version 1.25B),
  Number Jumpers (Version 1.0) (800K 3.5"), Nutrition Nabber (Version 1.0) (800K 3.5"), Odell Lake (Version 1.2) (800K 3.5"),
  Oldorf's Revenge, On Balance (800K 3.5"), On Stage (Version 1.0) (800K 3.5"), The Oregon Trail (Version 1.4) (800K 3.5"),
  Paper Plane Pilot (Version 1.0) (800K 3.5"), Patterns (Version 1.2) (800K 3.5"), The Pawn (Version 2.3),
  Perplexing Puzzles (800K 3.5"), Pet Shop (Version 1.0) (800K 3.5"), Picture a Story (Version 1.0) (800K 3.5"),
  The Plant Growth Simulator (800K 3.5"), The Playroom, Probability Lab (Version 1.0) (800K 3.5"), Pythagoras and the Dragon,
  Raiders of the Lost Ring, Rescue in the Outback (Version 1.0) (800K 3.5"), Robot Battle, Rocket Factory (Version 1.0) (800K 3.5"),
  Science Corner: Space Probe (800K 3.5"), Science Corner: Weather Watch (800K 3.5"),
  Science Explorers: Animal Adaptations (800K 3.5"), Science Explorers: Day, Night, and The Seasons (800K 3.5"),
  Science Explorers: Nutrition (800K 3.5"), Science Explorers: Plants (800K 3.5"), Science Explorers: Shadows (800K 3.5"),
  Science Explorers: Simple Machines (800K 3.5"), Science Explorers: Skeletons (800K 3.5"), Science Explorers: Weather (800K 3.5"),
  Science Giants (Version 1.0) (800K 3.5"), Secret Agent: Mission One, Shadow Hawk One, Skybombers II, Space Adventure: Episode One,
  Space Cadette, Space Pirates 3000, Space Station Freedom (Version 1.0) (800K 3.5"), Speedway Math (Version 1.0) (800K 3.5"),
  Spellevator (Version 1.3) (800K 3.5"), Spelling Puzzles and Tests (800K 3.5"), Spelling Series Toolkit (800K 3.5"),
  Spelling Workout (Version 1.1) (800K 3.5"), Star Ball, Star League Baseball, Stellar Defense (Version 1.2),
  Story Starters: Science (800K 3.5"), Story Starters: Social Studies (800K 3.5"), Sum Stories (Version 1.0) (800K 3.5"),
  Sun and Seasons (Version 1.0) (800K 3.5"), Super Galaxy Wars, Super Story Tree (Version 1.0) (800K 3.5"), Super Taxman 2,
  Survival Adventure, Sword of Sheol, Take a Chance! (Version 1.0) (800K 3.5"), The Tarturian,
  Teacher Option Organizer (Version 1.1) (800K 3.5"), Teleport, Three Mile Island, Treasures for Sale (Version 1.0) (800K 3.5"),
  Tunnel Terror, Weeds to Trees (Version 1.0) (800K 3.5"), Windmere Estate, Windy City (Version 1.0) (800K 3.5"),
  Wonderland Puzzles (Version 1.0) (800K 3.5"), Woolly's Garden (Version 1.0) (800K 3.5"), Word Builder (Version 1.0) (800K 3.5"),
  Word Spinner (Version 1.0), Zodiac Castle, Zoo Master [4am, Firehawke]
  Pursuit of the Graf Spee [Paul Hagstrom, 4am, Firehawke]
apple2gs_flop_clcracked: The Three Stooges (cleanly cracked) [Brian Troha]
apple2gs_flop_orig:
  4th and Inches, Gnarly Golf, The Logic Master (Version 1.5), Mixed-Up Mother Goose (Version 2.0A), The Three Stooges
  [4am, Firehawke]
aquarius_cart: Bomb Catcher II (4K), Bomb Catcher II (8K), Bomb Catcher II (16K) [Roy Templeman]
bbc_flop_80186: DOS Plus with Econet Software [Nigel Barnes]
c64_cass:
  Rallycross Simulator, Rambo III (Ocean), Rambo: First Blood Part II (Ocean), Rampage, Ramparts, Rana Rama, Rasputin, Rastan,
  Re-Bounder, The Real Ghostbusters, Red Heat (Ocean), Red L.E.D., Red Max (Codemasters), Renegade III: The Final Chapter,
  Rescue on Fractalus! (Activision), Retrograde, Return to Oz, Revenge of the Mutant Camels, Richard Petty's Talladega, Roadwars,
  RoboCop (Ocean), Rodland, Rolling Thunder (U.S. Gold), Room Ten, Run the Gauntlet (Ocean) [The Ultimate Tape Archive Team]
cgenie_cass: Micronopoly [siccoyote]
famibox:
  Senjou no Ookami (UNEPROM PCB) [Fiskbit, Marionova64, togemet2]
  Fighting Golf, Knight Rider [j4m13c0]
  Pro Wres [joey4]
  1943 - The Battle of Valhalla, Baseball, Bomberman, Devil World, Donald Land, Donkey Kong, Donkey Kong Jr., Duck Hunt, Excitebike,
  F-1 Race, Golf, Gomoku Narabe Renju, Hogan's Alley, Ice Climber, Ice Hockey, Kame no Ongaeshi - Urashima Densetsu, Mahjong,
  Makaimura, Mario Bros., Mike Tyson's Punch-Out!!, Rockman, Senjou no Ookami, Soccer League - Winner's Cup,
  Super Chinese 2 - Dragon Kid, Super Mario Bros., Takahashi Meijin no Boukenjima, Tennis, Wild Gunman, Wrecking Crew [kmg]
  Argos no Senshi - Hachamecha Daishingeki, Gradius, Ninja Ryukenden, TwinBee, Volleyball [RetroGE]
fmtowns_cd:
  Master CD - Fresh Series-you (Ichitarou Model), Software Contest Nyuusen Sakuhinshuu 1 (HMC-139A),
  Taiken Shiyou! Marty Channel II, Terra Towns II, Towns Magazine Vol. 3 [redump.org]
  AIV - A Ressha de Ikou 4 (1993-12-15 01:00:00), Emit Vol. 1 - Toki no Maigo (Version 1.30 Release 2.00, 1994-04-26),
  Microsoft Windows Version 3.1 L10 [redump.org, cyo.the.vile]
fmtowns_flop_orig:
  2069 AD, Nihongo MS-DOS V3.1 L36 (Kihon Kinou), Shougi Seiten, Think Lead Gakushuu System - FM Towns CMI Program,
  Think Lead Gakushuu System - FM Towns Theme-betsu Gakushuu Series - Jikkou Program Ver. 2,
  Think Lead Gakushuu System - Shougaku Rika 5-nen - Tane no Hatsuga (1),
  Think Lead Gakushuu System - Shougaku Rika 6-nen - Karada no Tsukuri (1) [cyo.the.vile]
ibm5150:
  Dragon's Lair (5.25", older), Ghostbusters II, Night Shift (3.5"), Night Shift (5.25"), Paperboy (5.25"), Paperboy 2 (5.25"),
  Police Quest II - The Vengeance (5.25", v1.001.000), Waterloo [ibmpc5150, archive.org]
  Hillsfar (v1.0, 3.5"), Hillsfar (v1.0, 5.25"), Hillsfar (v1.1, 3.5"), Hillsfar (v1.2, 3.5"),
  Space Quest III - The Pirates of Pestulon (3.5"), Space Quest III - The Pirates of Pestulon (5.25") [The Good Old Days]
  MS-DOS (Version 3.2) [WinWorld]
ibm5170:
  Eternam, Serf City: Life is Feudal (USA) [ibmpc5150, archive.org]
  SimCity 2000 (Interactive demo disk) [Lazy Game Reviews, archive.org]
  Alone in the Dark 2 (Germany), Dragon's Lair, Fables & Fiends - Book One: The Legend of Kyrandia (v1.8, 3.5", Germany),
  Maniac Mansion: Day of the Tentacle (Germany), Prophecy of the Shadow (3.5"), Prophecy of the Shadow (5.25") [The Good Old Days]
ibm5170_cdrom: Windows 98 Second Edition (jp 4.10.2222) (Retail Full) [David Silva]
megadriv:
  16Bit Rhythm Land [anonymous]
  Castlevania - Bloodlines (USA, 19930804 prototype) [Billscat-socks]
  Dune - The Battle for Arrakis (prototype, Ver 0.03) [GamingLegend64, Hard4Games, Forest of Illusion]
  Mortal Kombat 3 (prototype) [sadikyo]
  Castlevania - Bloodlines (USA, 19931003 prototype) [Simon_Belmont, Pulse_Project]
midi_flop: Hikari Navigation (FL-90) (Japan) [Devin Acker]
mtx_rom: Hisoft PASCAL V1.4 [Paul Smith]
nes:
  Saiyuuki World (Japan, prototype) [Aetius for Real]
  8Bit Rhythm Land, Metal Storm Collector's Edition, Rainbow Brite - Journey to Rainbow Land [anonymous]
  Toki (USA, prototype) [CloudGamerX]
  Super Games 143 in 1 (HKMK-143) [Consolethinks]
  Galaxy 5000 - Racing in the 51st Century (USA, prototype) [GamersGulch, Forest of Illusion]
  Advanced Dungeons & Dragons - Hillsfar (USA, prototype), Moero!! Junior Basket - Two on Two (Japan, prototype),
  The Smurfs (Euro, prototype) [Hidden Palace]
  Dr. Mario (prototype, alt 2), Dragon Warrior II (USA, prototype), NES Open Tournament Golf (USA, prototype),
  NES Play Action Football (USA, prototype), Ninja Gaiden III - The Ancient Ship of Doom (USA, prototype)
  [Hidden Palace, Stephan Reese]
  Rampart (USA, prototype), Tetris (USA, prototype, alt), Tetris (USA, prototype, alt 2), Tetris (USA, prototype, alt 3)
  [Hidden Palace, Steve Lin]
  Caesars Palace (USA, prototype, alt), Nigel Mansell's World Championship Racing (USA, prototype),
  Sesame Street Countdown (USA, prototype), The Simpsons - Bart vs. The Space Mutants (USA, prototype), Ski or Die (USA, prototype),
  Stanley - The Search for Dr. Livingston (USA, prototype), Tetris (USA, prototype) [Hidden Palace, VGHF]
  Freedom Force (USA, 19871229 prototype) [Hubz]
  Hot Dance with Samba (Asia) [krzysiobal]
  Hatris (USA, prototype) [mmsc]
  Renegade (USA, prototype) [rfancella]
  Rampart (Japan, sample), Square Deal (Japan, Great Deal prototype) [Skrybe]
  DuckTales (USA, 19890205 prototype) [TCRF]
  Hitler no Fukkatsu - Top Secret (Japan, prototype), Ninja Hattori-kun - Ninja wa Shugyou de Gozaru no Maki (Japan, prototype),
  Star Soldier (Japan, prototype), Tonjan!? (Japan, prototype) [togemet2]
playmaker: Basketball, Hockey, Soccer [hap, Sean Riddle]
snes:
  Ballz (prototype), Battle Blaze (prototype, alt), Captain Novolin (prototype), Clay Fighter (Euro, prototype),
  Claymates (Euro, prototype), Claymates (Euro, prototype, alt) [Hidden Palace] Big Sky Trooper (prototype),
  Fire Striker (USA, prototype, alt) [snescentral, VGHF]
  Super Baseball Simulator 1.000 2 (USA, prototype) [qixmaster]
spectrum_cass:
  Batman - The Movie (Erbe, double case), Batman - The Movie (IBSA), Casanova [spectrumcomputing.co.uk]
  Quann-Tulla (release 1), Quann-Tulla (release 3) [Steven Brown, Planeta Sinclair]
vgmplay:
  The Adventures of Quik & Silva (Atari ST), Avenging Spirit (Jaleco Mega System 1), Battle K-Road (Arcade), Boogie Wings (Arcade),
  Bubble Bobble (FM Towns), Dancing Eyes (Namco System 11), Dark Arms - Beast Buster 1999 (Neo Geo Pocket Color),
  Donkey Kong (Nintendo Game Boy), Down Load (PC Engine), Down Load 2 (PC Engine CD-ROM2), Dyter-07 (Atari ST),
  Earthworm Jim - Menace 2 the Galaxy (Nintendo Game Boy Color), Escape Kids (Arcade), F1 Triple Battle (PC Engine),
  Ferrari Grand Prix Challenge (NES), Formation Soccer - Human Cup '90 (PC Engine), Formation Soccer on J.League (PC Engine),
  Gakuen Sodom ~Kyoushitsu no Mesu Dorei-tachi~ (NEC PC-9801), Galaxy Force II (Atari ST), Gamma Planet (Sharp X68000),
  Giga Wing (CP System II), Gunbird 2 (Arcade), Indiana Jones and the Temple of Doom (Atari System 1),
  Jurassic Park (Sega System 32), Kirishima Shinryoushitsu no Gogo (NEC PC-9801), Leavin' Teramis (Atari ST),
  Lethal Xcess - Wings of Death II (Atari ST), Line of Fire (Atari ST), Locked 'N Loaded (Arcade),
  Looney Tunes - Carrot Crazy (Nintendo Game Boy Color), Looney Tunes - Twouble! (Nintendo Game Boy Color),
  Mach Breakers - Numan Athletics 2 (Namco NB-2), Mat Mania (Arcade), Ninja Baseball Bat Man (Irem M92),
  Ninja Gaiden II - The Dark Sword of Chaos (NES), Ninja Gaiden III - The Ancient Ship of Doom (NES), Ninja Remix (Atari ST),
  Nitro Ball (Arcade), Premier Soccer (Arcade), Punk Shot (Arcade), Rampart (Arcade), RoboCop 2 (Arcade), Schmeiser Robo (Arcade),
  Shanghai (Arcade), Shanghai II (Arcade), The Simpsons - Bart's House of Weirdness (IBM PC AT),
  Spider-Man 2 - The Sinister Six (Nintendo Game Boy Color), Stormlord (Atari ST), Super Space Fortress Macross II (Arcade),
  Teenage Mutant Ninja Turtles - Tournament Fighters (NES), Teenage Mutant Ninja Turtles III - The Manhattan Project (NES),
  Vindicators (Arcade), Violent Storm (Mystic Warriors), Willow (NES), X-Out (Atari ST), Zanac EX (MSX2) [vgmrips.net, Tafoid]
vsmilem_cart: Campanilla (Spain) [TeamEurope, ICEknight, ClawGrip]


Software list items promoted to working
---------------------------------------
amigaaga_flop:
  Air Bucks (Euro, v1.2), Breathless (Euro), Burntime (Euro, AGA), Christoph Kolumbus (Euro, AGA), D/Generation (Euro),
  Der Clou! (Ger, AGA), Diggers (Euro, 19930914), DreamWeb (Euro, AGA), Gloom (Euro), High Seas Trader (Euro),
  Nigel Mansell's World Championship (Euro, AGA), Pinball Fantasies (AGA, Cracked by PDY), Pinball Fantasies (Euro, AGA),
  Pinball Mania (Euro), Reunion (Euro, AGA), Rüsselsheim (Euro, AGA), Sim Life (Euro, v1.00 19930620, AGA),
  Simon the Sorcerer (Euro, AGA), Star Crusader (Euro, AGA), Star Trek - 25th Anniversary (Euro), Subwar 2050 (Euro),
  Testament (Euro), Top Gear 2 (Euro, AGA), Total Carnage (Euro, AGA), UFO - Enemy Unknown (Euro, AGA),
  When Two Worlds War (Euro, v1.01, AGA) [Angelo Salese]
amigaecs_flop:
  Fatman - The Caped Consumer (Euro), Manchester United - The Double (Euro), Der Produzent - Die Welt des Films (Ger), Reunion (Ger)
  [Angelo Salese]
amigaocs_flop:
  African Raiders-01 (Euro), Alianator (Euro), Arthur: The Quest for Excalibur (USA, r54), Ballyhoo (Euro, r97),
  Bandit Kings of Ancient China (Euro), BattleTech (USA, v2.3), Beyond Zork - The Coconut of Quendor (USA, r57),
  Bionic Commando (Euro), Bomber Bob (Euro), Boulder Dash Construction Kit (Euro), Bubble + (Euro), Bundesliga 3000 (Euro),
  Bureaucracy (USA, r86), Century (Euro), Championship Manager '93 (Euro), Cliffhanger (Euro), Cohort II - Fighting for Rome (Euro),
  Cool Croc Twins (Euro), Cutthroats (Euro, r23), Daily Double Horse Racing (Euro), The Dark Queen of Krynn (Euro, v1.0 19920616),
  Death or Glory - Das Erbe von Morgan (Ger, Hard Disk Version), Driller (Euro, Budget), Dune (Euro), Euro Soccer '88 (Ger),
  F-15 Strike Eagle II (Euro), FIFA International Soccer (Euro), Face Off (Euro, Anco, Budget), Face-Off (Euro, Krisalis),
  Feud (Euro), Football Director II (Euro, v2.06D CDS), Football Manager (Euro), GBA Championship Basketball - Two-on-Two (Euro),
  Golden Axe (Euro), Gotcha! (Euro), Hollywood Hijinx (USA, r37), Hugo (Ger), Infidel (USA, r22),
  Jahangir Khan's World Championship Squash (Euro), James Clavell's Shōgun (Euro), Journey (Euro),
  King's Quest IV - The Perils of Rosella (Euro, v1.023 19900530), Legends of Valour (Euro), The Lurking Horror (USA, r221),
  M.U.D.S. - Mean Ugly Dirty Sport (Euro), The Magnetic Scrolls Collection Vol. 1 (Euro), The Manager (Euro, v2.0),
  Millenium - Return to Earth (USA), A Mind Forever Voyaging (USA, r79), The Munsters (Euro, Kids Pack),
  Nord and Bert Couldn't Make Head or Tail of It (USA, r19), Operation Neptune (Euro), PGA Tour Golf (Euro), Pac-Land (Euro),
  Pac-Mania (Euro), Piracy on the High Seas (Euro), Planetfall (Euro, r37), Romantic Encounters at the Dome (Euro),
  Satan (Euro, Magnum), Seastalker (Euro, r16), Soccer Kid (Euro), Space Station - Part I (Euro), Starcross (USA, r17),
  Stationfall (USA, r107), Super Ski II (Euro), Super Zocker + Blackjack II (Ger), Suspect (USA, r14), Suspended (USA, r8),
  Tengen Arcade Hits (Euro), Thai Boxing (Euro), Triple X (Euro, Amiga Star Collection), Turrican 3 (Euro), Waxworks (Euro),
  Wishbringer (Euro, r69), The Witness (USA, r22), Zargon (Ger), Zool 2 (Euro), Zork I - The Great Underground Empire (Euro, r88),
  Zork II - The Wizard Of Frobozz (Euro, v48), Zork Trilogy - Zork I (r88) + Zork II (v48) + Zork III (r17) (USA),
  Zork Zero (USA, r366) [Angelo Salese]
cd32: Dangerous Streets, Strip Pot, Summer Olympix [Angelo Salese]
fmtowns_cd:
  Psychic Detective Series Vol. 3 - Aya (DCCS remake), Psychic Detective Series Vol. 5 - Nightmare (DCCS remake) [cyo.the.vile]
nes:
  Qīlóngzhū (China), Shénhuà Jiàn Yún III (China), Sàiyǎrén Mièjué Jìhuà (China), Sānguózhì (Asia, decrypted SmyNES), Sānguózhì III (China)
  [kmg]


New NOT_WORKING software list additions
---------------------------------------
amiga_demos: Dragons Megademo I (Demo), Misery Dentro 2 (Demo), Sanity Elysium (Demo) [anonymous]
cdtv:
  Advanced Military Systems (Euro), All Dogs Go to Heaven: Talking Electric Crayon, Animals in Motion,
  Apprenez l'Anglais Avec Astérix - Asterix and Son, The Assassins CD 3, The Assassins CD 4,
  The Assassins Ultimate CD Games Collection, The Assassins Ultimate Games Volume 2, Barney Bear Goes Camping, Battle Chess,
  Battlestorm, Black Viper (CDTV?), The Case of the Cautious Condor, Casino Games, CD Remix - The D.J. in a Box,
  CD Remix Version II (alt), The CDTV Interactive Point of Sale Compact Disc, Chaos in Andromeda - Eyes of the Eagle (alt),
  Classic Board Games, Commodore Amiga CDTV, Amiga 600, Amiga 600HD Demo Disc 1,
  Commodore Amiga CDTV, Amiga 600, Amiga 600HD Demo Disc 2, The Connoisseur - Fine Art Collection, Cover Girl Strip Poker,
  Cubulus & Magic Serpent (alt), Deluxe Galaga (v2.4), Demo II - Amiga Public Domain Collection, Dinosaurs for Hire,
  Dr. Wellman - A Guide to Good Health for You and Your Family, Dune (Prototype?), E.S.S. Mega,
  Eadweard Muybridge's Women in Motion, Falcon, Fractal Universe, Fun School 3 for 5 to 7 Year Olds, Fun School 3 for the Over 7s,
  Fun School 3 for the Under 5s, Gamers' Delight (Eng, Ger), Garden Fax - Fruits, Vegetables, and Herbs (USA),
  Garden Fax - Indoor Plants (USA), Genlock Demo, Global Chaos CDTV, The Guinness CDTV Disc of Records (1991 Edition),
  Guy Spy and the Crystals of Armageddon (v1.0), Heather Hits Her First Home Run, Heroic Age of Spaceflight - NASA... The 25th Year,
  The Hound of the Baskervilles, The Illustrated Holy Bible, The Illustrated Works of Shakespeare, Insight: Dinosaurs (Euro, v1.0),
  Insight: Technology, It Came from the Desert, Karaoke Hits 1, The Labyrinth of Time, A Long, Hard Day at the Ranch (Eng, Spa),
  Monopoly, Moving Gives Me a Stomach Ache, Musicolor, My Paint CDTV - The Paint Program Just for Kids!,
  The New Grolier Electronic Encyclopedia, The Night Before Christmas, North Polar Expedition (v1.01), The Paper Bag Princess,
  Pinocchio, Power Pinball, Prehistorik, Psycho Killer (U2A2030UB), Read with Asterix - Asterix and Son, Rise of the Dragon,
  Scary Poems for Rotten Kids, Sherlock Holmes on a Disc, Shiftrix & Lettrix (alt), Sim City (Euro, Multi5), Space Wars,
  Spirit of Excalibur, Super Games Pak, The Tale of Benjamin Bunny, The Tale of Peter Rabbit, Team Yankee (Euro),
  Ten on Ten Compilation (Euro), Thomas' Snowsuit, Tie Break, Time Table of History - Science and Innovation (USA, 1991a Edition),
  The Town with No Name (alt), Ultimate Basketball, Welcome to CDTV Multimedia (367808-01 33),
  Will Bridge 1 - Initiation aux Encheres (Fra), Will Bridge 1 - Introduction to Bidding (Eng), Will Bridge 2 - Intermediate (Eng),
  Will Bridge 3 - Standard (Fra), Will Bridge 4 - Competition (Eng), Will Bridge 5 - Haute Competition (Fra), World Vista
  [anonymous]
  17 Bit - Collection for Amiga CDTV (Euro), 17 Bit - Continuation Disc (Euro),
  American Heritage Illustrated Encyclopedic Dictionary (USA, 1991a Edition), Barney Bear Goes to School (USA),
  A Bun for Barney (USA), CDTV Demo Disc (Euro), Cinderella - The Original Fairy Tale (USA), The Curse of Ra (Ger),
  Defender of the Crown CDTV (Euro), The Demo Collection for Amiga CDTV (Euro, Black Disc), Deutschland Kompakt (Ger),
  Fantastic Voyage (USA), Garden Fax - Garden Plants (USA), Garden Fax - Trees, Shrubs, Roses, and Conifers (USA),
  The Hutchinson Encyclopedia (Euro), Language TV - English (Fra), Lemmings (Euro), Log!cal (Euro), Mud Puddle (USA, Multi 5),
  The New Basics Electronic Cookbook (USA, 1991a Edition), Pandora's CD v1.0 (alt), Psycho Killer (U2A2020UA), Raffles (Swe),
  Snoopy - The Case of the Missing Blanket (Swe), Time Table of History - Business, Politics & Media (USA, 1991a Edition),
  Trivial Pursuit - The CDTV Edition (Euro, v1.0a), Turrican (Ger, alt), Turrican II: The Final Fight (Ger, alt),
  Welcome to CDTV Multimedia (USA, CDRM-499000), Wrath of the Demon (USA), Xenon 2 - Megablast (Eng, Fra, Ger, Ita) [redump.org]
fmtowns_cd: Euphony II / MTR V1.1 L20, Nihongo Linux + JE [redump.org]
fmtowns_flop_orig: Fortress, Para Para Paradise Update Disk [cyo.the.vile]
ibm5150: Keith Van Eron's Pro Soccer (3.5"), Keith Van Eron's Pro Soccer (5.25") [ibmpc5150, archive.org]
nes: Game 500 in 1 (alt) [Consolethinks]
roland_tnsc1: 70's and 80's (TN-SC1-03) [Sean Riddle, ClawGrip]


Merged pull requests
--------------------
- 8972: bfmsys85.cpp: Corrected punctuation in Hi-Lo Silver game descriptions. [sjy96525]
- 8973: jpmimpctsw.cpp: Corrected punctuation in Hi-Lo Silver game descriptions. [sjy96525]
- 8974: jpmsys5sw.cpp: Corrected metadata for Hi-Lo Silver game (MT07190). [sjy96525]
- 8979: newton.cpp: Added “Newton” to system descriptions (MT07908). [sjy96525]
- 9156: kaypro.cpp: Added information about the Kaypro 5 to comments. [rfka01]
- 9251: video/ef9345.cpp: Corrected quadrichrome palette calculation. [ovalenti]
- 9263: Refactored Amiga driver and device code improving compatibility, and updated associated software lists. [Angelo Salese]
- 9274: spectrum_cass.xml: Added five working items, and cleaned up metadata. [ArcadeShadow]
- 9281: segacd.xml, megacd.xml, megacdj.xml: Changed descriptive text in descriptions to lowercase. [ArcadeShadow]
- 9286: bus/epson_qx: Added Multifont option card (font ROMs are not dumped). [Brian Johnson]
- 9287: snes.xml: Added nine prototypes. [kmg]
- 9297: hng64.cpp: Edited descriptions. [Michael Sanborn]
- 9303: statriv2.cpp: Corrected DIP switches for hangman (MT08209). [Steven Coomber]
- 9312: Cleaned up various code for NES and related systems. [kmg]
- 9314: nes.xml: Added twelve working prototypes. [kmg]
- 9317: taitottl.cpp: Added skeleton driver to hold ROMs for Model Racing Super Road Champions. [f205v, ClawGrip]
- 9318: midi_flop.xml: Added Casio Hikari Navigation (FL-90). [Devin Acker]
- 9320: coco3.cpp: Added ILCE / SEP Micro-Sep Model 3 (Mexican Color Computer 3 clone). [Barry Nelson, Tim Lindner]
- 9321: seattle.cpp: Fixed volume controls for San Francisco Rush games. [sjy96525]
- 9322: Made Lua bindings for controlling analog input values more intuitive. [feos]
- 9323: c64_cass.xml: Added thirteen working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 9324: galaxian.cpp: Added Mandinka (bootleg of Amidar). [Victor Fernandez (City Game), ClawGrip]
- 9325: astropc.cpp: Corrected description for rasce and added list of known games to comments. [ClawGrip]
- 9326: sound/nes_apu.cpp: Removed register read-back, corrected length counter table, and cleaned up code. [kmg]
- 9327: galaxian.cpp: Re-dumped ROMs for froggervd. [Victor Fernandez (City Game), ClawGrip]
- 9328: audio/dkong.cpp: Corrected RAM size for Donkey Kong 3 audio CPUs. [kmg]
- 9330: bus/a2bus: Corrected addressing for the second PSG on ECHO+ cards. [cybernesto]
- 9331: gsz80.cpp: Added RC2014 Mini. [Chris Swan]
- 9332: c64_cass.xml: Added twelve working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 9333: galaxian.cpp: Re-dumped graphics ROM and confirmed PROM contents for mandinka. [Victor Fernandez (City Game), ClawGrip]
- 9334: macp.cpp: Added MAC's Galaxy (blue version). [Victor Fernandez (City Game), ClawGrip]
- 9337: generalplus_gpl_unknown.cpp: Added internal CPU ROM for mapacman.
  [Sean Riddle, Stefano Arosio, jrideburg, TeamEurope, f205v, Ivan Vangelista, David Haywood]
- 9338: vsnes.cpp: Simplified graphics memory handling a bit. [kmg]
- 9339: generalplus_gpl_unknown.cpp: Added crude display, sound and input emulation for mapacman. [David Haywood]
- 9340: docs: Fixed a couple errors in sample code in the Technical Specifications. [kmg]
- 9341: cpu/i960: Implemented dmovt instruction (used by Virtua Fighter 2 in debug mode). [Damian Rogers]
- 9343: photoply.cpp: Added Photo Play 2001 recovery discs. [jordigahan, ClawGrip]
- 9346: cpu/t11: Corrected trap destination for jump to register. [shattered]
- 9348: cpu/mips/r4000.cpp: Set TLB global bit in EntryLo0 and EntryLo1 on TLBR instruction. [Brice Onken]
- 9349: playch10.cpp: Corrected daughter board RAM sizes, added non-volatile RAM for Punch-Out, and cleaned up code. [kmg]
- 9350: c64.cpp: Added Mercury-ROM v3.1s as a BIOS option. [Chris Swan]
- 9351: nes.xml: Added eleven working prototypes. [kmg]
- 9352: playch10.cpp: Corrected nametable RAM size, added PPU address map, and cleaned up code further. [kmg]
- 9355: spectrum.cpp: Cleaned up and optimized graphics code, simplifying implementation of derivative systems. [holub]
- 9356: mk98.cpp: Added skeleton driver for Elektronika MK-98. [shattered]
- 9358: bus/nes: Improved support for some Waixing pirate Chinese translations. [kmg]
- 9359: dangbar.cpp: Re-dumped display ROM for Dangerous Bar [Museo del Recreativo, ClawGrip]
- 9360: emu/input.cpp: Fixed an out-of-bounds access to a std::string_view. [Nathan Woods]
- 9361: bus/nes/multigame.cpp: Fixed a typo that turned an assignment into a comparison. [Nathan Woods]
- 9362: bus/nes: Properly acknowledge interrupts for UNL-SC-127 board. [kmg]
- 9363: sound/nes_apu.cpp: Don’t zero DPCM channel output when disabled (fixes some audio popping). [kmg]
- 9365: tools/floptool.cpp: Fixed a typo in an error message. [pnp2084]
- 9366: terracre.cpp: Corrected notes on the basis of official Nichibutsu sheet music. [negunma]
- 9367: famibox.cpp: Added verified cartridges, and removed nonexistent cartridges. [kmg]
- 9369: cpu/m68000: Added support for external MMU bus error instruction restart. [J Booth]
- 9370: evmbug.cpp: Added Stuart Conner TMS9995 breadboard driver. [Chris Swan]
- 9372: 4enlinea.cpp: Changed sprtdart description to match the title screen. [ClawGrip]
- 9373: gsz80.cpp: Corrected manufacturer for rc2014. [Phillip Stevens]
- 9374: ibm5150.xml: Added fifteen working items, two non-working items, and replaced three items with better dumps. [ArcadeShadow]
- 9375: midzeus.cpp: Added PIC microcontroller dump to Cruis'n Exotica games. [Caps0ff, Darksoft, Mitsurugi_W, ClawGrip]
- 9376: seta.cpp: Added Japanese title to description for kamenrid. [Michael Sanborn]
- 9378: cpu/i960: Added cycle count adjustment for dmovt instruction. [Damian Rogers]
- 9379: vsmilem_cart.xml: Added Campanilla (Spain). [TeamEurope, ICEknight, ClawGrip]
- 9380: Added Kick & Kick (GNA36 VER. EAA). [Shiz]
- 9381: taito_l.cpp: Corrected bonus life DIP switches for raimais, raimaisj and raimaisjo (MT08244). [Steven Coomber]
- 9382: alpha68k_n.cpp: Corrected audio clock for sstingry, and replaced second and third YM2203 with AY-3-8910. [negunma]
- 9384: galaxian.cpp: Corrected DIP switches for spacempr (MT08245). [Steven Coomber]
- 9386: playch10.cpp: Changed bit order of RP5H01 ROM in prototype dumps. [kmg]
- 9388: sound/k007232.cpp: Fixed frequency calculation and noted unimplemented feature. [cam900, furrtek]
- 9389: sound/k005289.cpp: Cleaned up code. [cam900]
- 9391: sound/namco_163.cpp: Suppress address increment on data reads from debugger. [cam900]
- 9392: cps1.cpp: Added two Pang bootlegs. [Janniz]
- 9393: famibox.cpp: Implemented some input control bits and cleaned up cartridge switching code. [kmg]
- 9396: fmtowns_flop_orig.xml: Added five items (three working); fmtowns_flop_misc.xml: Removed two bad dumps. [cyo.the.vile, r09]
- 9397: zodiack.cpp: Add bonus life DIP switch settings for bounty (MT08236). [Steven Coomber]
- 9398: djmain.cpp: Added beatmania complete MIX (ver JA-C). [Taro, Windy Fairy]
- 9399: ksys573.cpp: Implemented I/O for Kick & Kick making the game playable. [Windy Fairy, Shiz]
- 9400: famibox.cpp: Fixed compile error. [kmg]
- 9401: bgfx: Fixed external texture loading, and added a default LUT texture bitmap for the 3D LUT chain. [Ryan Holtz]
- 9402: djmain.cpp: Corrected parent/clone relationship for new beatmania set added in #9398. [Windy Fairy]
- 9403: nes.xml: Added seven working prototypes. [kmg]
- 9404: tools/floptool.cpp: Fixed arguments in two error messages. [Nathan Woods]
- 9406: bus/coco: Added RS-DOS and OS-9 filesystems to floppy controller cartridges. [Nathan Woods]
- 9408: ibm5170.xml: Added nine working items, and replaced one item with a better dump. [ArcadeShadow]
- 9410: bgfx: Fixed issues handling multiple output windows and when encountering missing files, and cleaned up code. [Ryan Holtz]
- 9411: famibox.xml: Added a FamicomBox cartridge list.
  [Fiskbit, ICEknigh7, j4m13c0, joey4, kmg, Marionova64, Patnukem, RetroGE, togemet2]
- 9412: Added CoCo raw disk format to build scripts. [Nathan Woods]
- 9415: photoply.cpp: Added security dongle microcontroller dumps for photoply99sp. [Caps0ff, jordigahan, ClawGrip]
- 9416: fmtowns_flop_orig.xml: Replaced system disk for aressh4m with a flux dump preserving protection. [cyo.the.vile, r09]
- 9417: bus/nes_ctrl: Split zapper sensor off as a reusable device. [kmg]
- 9418: minitel_2_rpic.cpp: Added modem and serial ports. [ovalenti]
- 9419: Lua engine: Enabled all of Sol’s safety checks for debug builds, and removed problematic sol::buffer class. [Vas Crabb]
- 9420: bgfx: Fixed issues with multiple output windows and missing files (corrected version of #9410). [Ryan Holtz]
- 9421: nes.xml: Added six miscellaneous dumps (all working. [kmg]
- 9422: megadriv.xml: Added five new dumps (all working). [kmg]
- 9424: r2dtank.cpp: Added bonus life DIP switch settings (MT08250). [Steven Coomber]
- 9425: bgfx: Improved brightness balance in YUV conversion shader output. [Ryan Holtz]
- 9426: vsnes.cpp: Modernized program ROM banking, eliminating copies, and cleaned up code including protection handlers. [kmg]
- 9428: asuka.cpp: Hooked up sound sample ROM as ADPCM-B in bonzeadv and related games (there are no ADPCM-A samples). [negunma]
- 9429: ibm5170_cdrom.xml, pc98_cdrom.xml: Added a Japanese version of Windows 98, and corrected some release years. [David Silva]
- 9430: cham24.cpp: Improved banking. [kmg]
- 9431: dynax.cpp: Corrected screen order for janyuki and jantouki (MT05102). [kmg]
- 9432: neogeo.xml: Corrected Japanese title for lastblad, and corrected release year for lastbladh. [CanoeHope]
- 9433: sound/k051649.cpp: Corrected input clock frequency, and simplified code, eliminating some buffers and tables. [cam900]
- 9435: namcona1.cpp: Corrected release year for Bin Bin Bingo. [sjy96525]
- 9436: sound/gb.cpp: Fixed cycle calculations for generating waveform periods. [ValleyBell, Wilbert Pol]
- 9437: roland_tnsc1.xml: Added software list and driver to hold Roland music style cards, with one dump. [Sean Riddle, ClawGrip]
- 9438: vsnes.cpp: Fixed Gumshoe input regression. [kmg]
- 9439: 8080bw.cpp: Corrected DIP switch settings for skylove and claybust (MT08251, MT08254). [Steven Coomber]
- 9440: photoply.cpp: Changed photoply99sp dongle microcontroller ROM labels to be unique. [ClawGrip]
- 9441: vicdual.cpp: Added bonus life DIP switch settings for wantsega, alphaho and alphahob (MT08256, MT08257). [Steven Coomber]
- 9442: cham24.cpp, famibox.cpp, multigam.cpp, playch10.cpp: Use configured banking for nametable RAM. [kmg]
- 9443: galaxian.cpp: Added fire mode DIP switch settings for mimonkey and related games (MT08259). [Steven Coomber]
- 9444: bus/nes: Simplified code using bit utility functions. [kmg]
- 9445: ibm5150.xml: Added working two-disk version of MS-DOS 3.2. [WinWorld, telanus]
- 9446: galaxian.cpp: Add lives DIP switch settings for aracnis (MT08262). [scoomby]
- 9447: apple2gs_flop_clcracked.xml, apple2_flop_orig.xml, apple2gs_flop_orig.xml: Added latest dumps and cracks. [Firehawke]
- 9448: fmtowns_cd.xml: Added ten items (eight working), and added/replaced missing or bad floppy images. [r09]
- 9450: alinvade.cpp: Added bonus life DIP switch setting (MT08263). [Steven Coomber]
- 9452: docs: Fixed a copy/paste error in the memory system reference. [kmg]
- 9453: Made Lua errors in bootstrap scripts fatal, and sandboxed auto-boot scripts. [Vas Crabb]
- 9454: qx10.cpp: Hooked up interval timer interrupt outputs to the interrupt controller. [Brian Johnson]
- 9455: nes_vt09.cpp: Added Timetop Super Game 25-in-1 (GM-228). [TeamEurope, David Haywood]
- 9456: qx10.cpp: Implemented floppy drive spindle motor on timer. [Brian Johnson]
- 9459: inder.cpp: Added release year for Gun Shot. [ClawGrip]
- 9460: fmtowns_flop_orig.xml: Added four working items, and replaced a bad dump. [cyo.the.vile, r09]
- 9461: cpu/m68000: Fixed PC increment on conditional trap instructions. [Jean-François Fabre]
- 9463: 8080bw.cpp: Added bonus live DIP switch settings for rollingc (MT08267). [Steven Coomber]
- 9464: vsnes.cpp: Consolidated equivalent functions for the main and sub sides of the board. [kmg]
- 9465: galaxian.cpp: Added demo sound DIP switch settings for sfx, skelagon, monsterz and monsterza (MT08268). [Steven Coomber]
- 9466: cosmos_playc8f.cpp: Added skeleton driver for Cosmos PLAYC8F and PLAYC8E hardware with three dumped games.
  [Museo del Recreativo, ClawGrip]
- 9467: nes.xml: Added two large multi-game cartridge dumps (one working). [Consolethinks, kmg]
- 9468: timetrv.cpp: Added LaserDisc dump and filled out driver; machine/ldv4200hle.cpp: Added Pioneer LD-V4200 player simulation.
  [Ryan Holtz, Matt Ownby, ld-decode team]
- 9470: timetrv.cpp: Corrected bill validator input; machine/laserdsc.cpp: Added save state support. [Ryan Holtz]
- 9471: bus/nes: Removed redundant open bus comments. [kmg]
- 9472: apple2_flop_orig.xml: Removed duplicate dump of Apple-Oids and Chipout. [Firehawke]
- 9473: cosmos_playc8f.cpp: Moved Basketball microcontroller dumps to the correct sets. [ClawGrip]


Source Changes
--------------
-Fix XML structure for a few files. [Scott Stone]

-Fix San Francisco Rush and San Francisco Rush: The Rock [sjy96525] (#9321) [sjy525]

-Various NES and friends cleanups. (#9312) [0kmg]
 * nes.h: Removed ancient unused defines and variables.
 * playch10.cpp: Removed unused shared pointer.
 * vsnes.cpp: Changed BaseBall in titles to Baseball.
 * bus/nes: Cleaned up various device_type comparisons and set some consts const.
 * sound/nes_defs.h: Fixed a DPCM table entry that was off by one.

-alvg: added a layout. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
WY-65 [Bitsavers]

New working machines
--------------------
Deluxe Football with Instant Replay [hap, Sean Riddle]

-New WORKING clone (#9324) [ClawGrip]

New WORKING clone
-----------------
Mandinka (bootleg of Amidar) [Victor Fernandez (City Game)]

-Update headers file and mame.lst [ClawGrip]

-c64_cass.xml: Added 13 working items (#9323) [Steven Coomber]

New working software list additions
-----------------------------------
Rallycross Simulator (Codemasters) [C64 Ultimate Tape Archive V2.0]
Rambo III (Ocean) [C64 Ultimate Tape Archive V2.0]
Rambo: First Blood Part II (Ocean) [C64 Ultimate Tape Archive V2.0]
Rampage (Activision) [C64 Ultimate Tape Archive V2.0]
Ramparts (Go!) [C64 Ultimate Tape Archive V2.0]
Rana Rama (Hewson Consultants) [C64 Ultimate Tape Archive V2.0]
Rasputin (Firebird) [C64 Ultimate Tape Archive V2.0]
Rastan (Imagine) [C64 Ultimate Tape Archive V2.0]
The Real Ghostbusters (Activision) [C64 Ultimate Tape Archive V2.0]
Re-Bounder (Prism Leisure) [C64 Ultimate Tape Archive V2.0]
Red Heat (Ocean) [C64 Ultimate Tape Archive V2.0]
Red L.E.D. (Dro Soft) [C64 Ultimate Tape Archive V2.0]
Red Max (Codemasters) [C64 Ultimate Tape Archive V2.0]

-nes_apu.cpp: A few cleanups. (#9326) [0kmg]
 * Removed old, unused, or redundant code, variables, and comments.
 * Removed array used for reading back registers. APU registers cannot be read.
 * Updated length counter table to match hardware counts.
 * Consolidated some functions.

-astropc.cpp: Correct game name and add notes (#9325) [ClawGrip]

-debugcon.cpp: Use std::string_view in command parsing and eliminate initial buffer copy [AJR]

New machines marked as NOT_WORKING
----------------------------------
Dino Family [Jorge Silva]

New working clones
------------------
Credit Poker (ver.30b, 7 & 9 bonus) [Jorge Silva]

New clones marked as NOT_WORKING
--------------------------------
Dino Family (Portuguese, Tangasoft license) [Jorge Silva]
Super Poker (v201UA) [Jorge Silva]

-astrcorp.cpp: dumped EEPROM for magibombf [Jorge Silva]

-amiga.cpp: modernization changes (#9263) [Angelo Salese]
 * Structural changes:
   - amiga_copper.cpp: convert to device, added copins implementation as debugging mailbox, convert to logmacro.h;
   - 8364_paula.cpp: convert audio implementation accessors from switch-case to per-channel maps;
   - amiga.cpp: convert OCS/ECS/AGA chipset flavours to address_map_bank_device, currently using the older custom_chip_r/_w as a
      legacy trampoline that will be progressively removed once that we have working implementations of Agnus/Denise and
      derivatives;
   - akiko.cpp: convert to logmacro.h;
   - amigafdc.cpp: better elaborate QA notes, add "Trackdisk" to device long name as officially referred by Amiga SDK:
   - amiga.cpp: kicked off an amiga_demos.xml SW list hookup;
     * Adds the following implementation detail changes:
   - amigaaga.cpp: fix sprites and bitplanes in dualpf modes, fixes at very least cd32:dstreets on gameplay;
   - amigaaga.cpp: fix BPLCON0 when planes == 7 is set, fixes title screen GFXs in surfninj;
   - amigaaga.cpp: use HAM6 when not in AGA mode, fixes colors in cdtv:townona when run with CD32 system;
   - amigaaga.cpp: fix sprite control fetches when FMODE != 0, fixes at very least Digger AGA sprites display;
   - amigaaga.cpp: add extended bitplane delay hooks;
   - amigaaga.cpp: fix HAM8 when in HIRES mode, fixes at least roadkill title and car screens;
   - amiga.cpp: allow LOF bit to be set by writing bit 15 on VPOSW, fix roadkill AGA boot;
   - amigaaga.cpp: implement Extra Half-Brite mode, used by bblow_a main menu
   - amiga.cpp: disallow blitter address writes to go beyond the allocated chip RAM, fixes OCS sockid and AGA sockid_a drawing
      spurious filled tiles on playfield;
   - amiga.cpp, amigaaga.cpp: workaround most GFX pitch corruptions, caused by implicit DDFSTOP overrunning width loop;
   - amiga.cpp: allow DDFSTRT and DDFSTOP to read bit 2 in lores mode, fix swordsod GFX pitch in gameplay;
   - amiga.cpp: use pf2pri for non-dual playfield, fixes alfred player sprite visibility;
   - akiko.cpp: subq command adds +2 in command buffer, fixes cdtv:defcrown hardlock emulation;
   - amigaaga.cpp: implement bscan2;
   - amiga.cpp: disable floppy drive default for CD32;
   - cubo.cpp: add inputs to eldoralg/odeontw/odeontw2;
   - amiga.cpp: allow CD32 to read CDTV titles from SW list;

New NOT_WORKING software list additions
---------------------------------------
cdtv.xml: 17 Bit - Collection for Amiga CDTV, 17 Bit - Continuation Disc, [Angelo Salese]
A Bun for Barney (USA), Advanced Military Systems (Europe), [Angelo Salese]
American Heritage Illustrated Encyclopedic Dictionary (USA, 1991a Edition), [Angelo Salese]
Barney Bear Goes to School (USA), Cinderella - The Original Fairy Tale (USA), [Angelo Salese]
Defender of the Crown CDTV (Europe), Deutschland Kompakt (Germany), [Angelo Salese]
Fantastic Voyage (USA), Garden Fax - Garden Plants (USA), [Angelo Salese]
Garden Fax - Trees, Shrubs, Roses, and Conifers (USA), [Angelo Salese]
Language TV - English (France), Lemmings (Europe), Log!cal (Europe), [Angelo Salese]
Mud Puddle (USA, Multi 5), Pandora's CD v1.0 (alt), Psycho Killer (U2A2020UA), [Angelo Salese]
CDTV Demo Disc (Europe), Raffles (Sweden), [Angelo Salese]
Snoopy - The Case of the Missing Blanket (Sweden), Team Yankee (Europe), [Angelo Salese]
The Curse of Ra (Germany), [Angelo Salese]
The Demo Collection for Amiga CDTV (Europe, Black Disc), [Angelo Salese]
The Hutchinson Encyclopedia (Europe), [Angelo Salese]
The New Basics Electronic Cookbook (USA, 1991a Edition), [Angelo Salese]
Time Table of History - Business, Politics & Media (USA, 1991a Edition), [Angelo Salese]
Trivial Pursuit - The CDTV Edition (Europe, v1.0a), [Angelo Salese]
Turrican (Germany, alt), Turrican II: The Final Fight (Germany, alt), [Angelo Salese]
Welcome to CDTV Multimedia (USA, CDRM-499000), Wrath of the Demon (USA), [Angelo Salese]
Xenon 2 - Megablast (Eng, Fra, Ger, Ita), Ten on Ten Compilation [redump.org]

-gauntlet.cpp: Use ROM_CONTINUE instead of doing block-swapping in driver init [AJR]

-audio/dkong.cpp: Corrected RAM size for dkong3 audio CPUs. (#9328) [0kmg]

New working software list item (#9318)
--------------------------------------
midi_flop: Hikari Navigation (FL-90) (Japan) [Devin Acker]

-8080bw.cpp, mw8080bw.cpp: Use 8080 INTE output to control interrupt generation [AJR]
 * lrescuem2: Remove MB14241 device (bootleg code patches out all accesses)

-mu100: Mark the badly dumped rom as bad dump [Olivier Galibert]

-ns32000: support ns32332 disassembly [Patrick Mackinlay]

-ns32000: add ns32332 [Patrick Mackinlay]

-mu100: ic39 rom redump [Guru]

-Fixed the second PSG addressing on the ECHO+ (#9330) [cybernesto]
 * The ECHO+ uses a single VIA to address two PSGs. The BC2 lines of the PSGs are connected to PB3 and PB4 respectively. Both PSGs
    are reset through PB2.

New working machines
--------------------
Playmaker: Hockey, Soccer, Basketball [hap, Sean Riddle]

-alvg: agsoccer and usafootb playable. [Robbbert]

-phantom: add motor position to internal artwork [hap]

-ymmu100.cpp:  Corrected mu100 as newly added ic39 was 4x overdumped. [Scott Stone]

-slapfight: Add the missing proms, correct screen timings, remove non-existing sprite buffer ram [Olivier Galibert]

-contra.cpp: verified clocks [Bryan McPhail]

-tmnt.cpp: added hardware info for tmnt [Guru]

-galaxian.cpp: Found a new 'froggervd' PCB and redumped the bad dumps (#9327) [ClawGrip]

New working machines
--------------------
3 in 1 Sports Arena [hap, Sean Riddle]

-t3in1sa: add 2 more leds [hap]

-galaxian.cpp: Dumped PROM and bad gfx ROM [Victor Fernandez (City Game), ClawGrip] (#9333) [ClawGrip]

-Re-enabled some compiler warnings and cleaned up some Python scripts a little. [Vas Crabb]

-Disabled clang warnings again - only the GCC ones should be re-enabled. [Vas Crabb]

-machine/decocass_tape.cpp: Don't use static buffers for building messages. [Vas Crabb]

-ns32000: rework exception handling [Patrick Mackinlay]

-ceres: add mmu [Patrick Mackinlay]

-Fixed some GCC warnings (would be nice if these could be consistent across targets, GCC people). [Vas Crabb]

New machines marked as NOT_WORKING
----------------------------------
USA Football (redemption) [Robbbert]

-cpu/i386: Changed a couple of disassembler helpers to return std::string. [Vas Crabb]

-cpu/scmp: Format as(ptr) directly into output stream, and avoid formatting it when not necessary. [Vas Crabb]

-dgn_beta.cpp: Reduced scope of stuff, sorted #includes, removed unused local string. [Vas Crabb]

-machine/53c7xx.cpp: Don't use static buffers for messages, don't clash with the LOG_GENERAL constant. [Vas Crabb]

-New NOT_WORKING clone (#9334) [ClawGrip]

New clones marked as NOT_WORKING
--------------------------------
MAC's Galaxy (blue version) [Victor Fernandez (City Game)]

-correct entry for side B of Back to the Future II [Barry Rodewald]

-added internal ROM for mapacman [Sean Riddle, stefo, jrideburg, Team Europe, f205v, Osso1] (#9337) [David Haywood]
 * added internal ROM for mapacman [Sean Riddle, stefo, jrideburg, Team Europe, f205v, Osso1]
 * stub some accesses so we can get an idea of memory areas

-c64_cass.xml: Added 12 working items (#9332) [Steven Coomber]

New working software list additions
-----------------------------------
Renegade III: The Final Chapter (Imagine) [C64 Ultimate Tape Archive V2.0]
Rescue on Fractalus! (Activision) [C64 Ultimate Tape Archive V2.0]
Retrograde (Thalamus) [C64 Ultimate Tape Archive V2.0]
Return to Oz (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Revenge of the Mutant Camels (Llamasoft) [C64 Ultimate Tape Archive V2.0]
Richard Petty's Talladega (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Roadwars (Melbourne House) [C64 Ultimate Tape Archive V2.0]
RoboCop (Ocean) [C64 Ultimate Tape Archive V2.0]
Rodland (Storm) [C64 Ultimate Tape Archive V2.0]
Rolling Thunder (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Room Ten (CRL) [C64 Ultimate Tape Archive V2.0]
Run the Gauntlet (Ocean) [C64 Ultimate Tape Archive V2.0]

-Note that I have renamed robocoph to robocop as this entry is an original not a clone. [Steven Coomber]

-de_3: fixed sound for batman, TMNT and checkpoint. [Robbbert]

-rendlay: add optional alpha attribute to digit elements [hap]

-pwm_display: add support for multi-state outputs per brightness level [hap]

New working machines
--------------------
4 in 1 Electronic Games (VTech) [hap, Sean Riddle]

New machines marked as NOT_WORKING
----------------------------------
Computer Chess (Conic, model 7013) [hap, Berger]

-docs: Fixed a couple errors in the Technical Specifications. (#9340) [0kmg]
 * These seemed like copy paste errors in their contexts.

New working clones
------------------
Kid no Hore Hore Daisakusen (bootleg set 2) [jordigahan]

-cqback, v4in1eg, horseran: remove use of 7seg alpha attr [hap]

-Revert "rendlay: add optional alpha attribute to digit elements" [hap]
 * This reverts commit d196d072ff54277a7c3ad0c5048f8fdc6b7e18c8.

-remove vestiges of artwork dotmatrix element [hap]

-alvg: added bsmt sound [Robbbert]

-inderp,jeutel,wico: use led14seg instead of led8seg_gts1 [hap]

-gts1: use led14seg instead of led8seg_gts1 [hap]

-rendlay: remove led8seg_gts1 [hap]

-spectrum_cass.xml: 5 New Software Additions + clean metadata (#9274) [ArcadeShadow]
 * spectrum_cass.xml: 5 New Software Additions + clean metadata

New working software list additions
-----------------------------------
Batman - The Movie (Erbe, double case) [spectrumcomputing.co.uk]
Batman - The Movie (IBSA) [spectrumcomputing.co.uk]
Casanova [spectrumcomputing.co.uk]
Quann-Tulla (release 1) [Steven Brown, Planeta Sinclair]
Quann-Tulla (release 3) [Steven Brown, Planeta Sinclair]

-snes.xml: Added 9 prototypes. (#9287) [0kmg]
 * snes.xml: Added 9 prototypes.

New working software list additions
-----------------------------------
Ballz (prototype) [Hidden Palace]
Battle Blaze (prototype, alt) [Hidden Palace]
Big Sky Trooper (prototype) [snescentral, VGHF]
Captain Novolin (prototype) [Hidden Palace]
Clay Fighter (Euro, prototype) [Hidden Palace]
Claymates (Euro, prototype) [Hidden Palace]
Claymates (Euro, prototype, alt) [Hidden Palace]
Fire Striker (USA, prototype, alt) [snescentral, VGHF]
Super Baseball Simulator 1.000 2 (USA, prototype) [qixmaster]

-nes.xml: Added 12 prototypes. (#9314) [0kmg]

New working software list additions
-----------------------------------
Nigel Mansell's World Championship Racing (USA, prototype) [Hidden Palace, VGHF]
Ninja Gaiden III - The Ancient Ship of Doom (USA, prototype) [Hidden Palace, Stephan Reese]
Rampart (USA, prototype) [Hidden Palace, Steve Lin]
Sesame Street Countdown (USA, prototype) [Hidden Palace, VGHF]
The Simpsons - Bart vs. The Space Mutants (USA, prototype) [Hidden Palace, VGHF]
Ski or Die (USA, prototype) [Hidden Palace, VGHF]
The Smurfs (Euro, prototype) [Hidden Palace]
Stanley - The Search for Dr. Livingston (USA, prototype) [Hidden Palace, VGHF]
Tetris (USA, prototype) [Hidden Palace, VGHF]
Tetris (USA, prototype, alt) [Hidden Palace, Steve Lin]
Tetris (USA, prototype, alt 2) [Hidden Palace, Steve Lin]
Tetris (USA, prototype, alt 3) [Hidden Palace, Steve Lin]

-de_3: used optional_memory_region [Robbbert]

-Golden Poker driver: Reconstructed the pokersis corrupted program. Removed unused machine driver. Change pokersis game description
 [Grull Osgo]. [Roberto Fresca]

Clones promoted to working
--------------------------
Good Luck! poker (Sisteme France) [Grull Osgo]

-ef9345: fix quadrichrome color mapping (#9251) [ovalenti]
 * The third byte (A) in quadrichrome mode contains an ordered 4 color set, referred by index in each of the 4 pairs of bits making
    a character slice.
 * Datasheet: p16 and example at p18

-pc8801_flop.xml: address #9344 [angelosa]

-pc8801_flop.xml: add metadata for tokyojnc [angelosa]

-cpc_cass.xml: finalize #8650 [angelosa]

-t11: jumps to register cause trap to 4 (#9346) [shattered]

-Lua engine: Make setting analog I/O port field values user-friendly. (#9322) [feos]
 * Exposed minimum/maximum values for analog fields. together with defvalue, they can be used to check range of values and neutral
    position.
 * Previously you had to send a normalised value between -65535 and 65535 which would be scaled depending on machine specifics.  You
    could read the scaled value from the port, but you couldn't send scaled values in.  This allows scripts to set scaled values as
    seen by the machine.

-Use ioprocs classes instead of emu_file for device_nvram_interface's load and save methods, and have these return false on I/O
 errors [AJR]

-bbc_amxmouse: Removed use of PORT_RESET. [Nigel Barnes]

-bus/bbc/joyport: Added the Master Compact mouse. [Nigel Barnes]

-abc1600: Partially fixed hard disk DMA. [Curt Coder]

-emu/devcb.h: Cleaned up a little using C++17 type traits helpers. [Vas Crabb]
 * Also made Lua I/O port field sensitivity nil for digital fields and put in some more const.

-emu/devcb.h: Re-added std::moves that aren't pessimising. [Vas Crabb]

-alvg: added dmd. Saving WIP. [Robbbert]

-alvg: removed old note. [Robbbert]

-r4000.cpp: Set TLB global bit in EntryLo0/1 on TLBR instruction (#9348) [Brice Onken]

-Add driver for RC2014 Mini (#9331) [Chris Swan]

-rendlay: fix possible color overflow on disk element [hap]

-playch10.cpp: Various cleanups. (#9349) [0kmg]
 * Modernized PRG ROM banking.
 * Cleaned up cart daughter board initialization code.
 * Fixed daughter board RAM sizes for Baseball Star, Pinbot, and Punch-Out. Punch-Out's is NVRAM and it now saves properly.

-cpu/hphybrid: Use device_delegate rather than devcb for hot callbacks unlikely to be chained. [Vas Crabb]

-mcr68.cpp: added pld dump for blasted [Shane Reel]

-taito_b.cpp: added PCB info for masterw [Guru]

-apple2gs_flop_clcracked.xml:  Added 3stooges.  Duplicate entries for Arkanoid and Arkanoid II (arkandb and arknd2b) were deleted.
 The entries at the top of the hash file cover both games with better meta data and descriptions. [Brian Troha]

-hp98265a.cpp: fix a return indentation [Angelo Salese]

-debugcmd.cpp: Modernize implementation details of mini_printf [AJR]

New working clones
------------------
Rim Rockin' Basketball (V1.5) [Brian Troha, The Dumping Union]

-gs6502.cpp, gs6809.cpp, gsz80.cpp: added years according to schematics [Guru]

-taito_b.cpp: dumped pals for masterw [Guru]

-Fixes for ASIO 1.20.0 [Miodrag Milanovic]

-getaway.cpp: Updated metadata and notes considering Japanese flyer. [Vas Crabb]
 * Removed imperfect controls flag and changed description to note that the dumped set seems to be for the upright cabinet shown on
    the Japanese flyer.  The version for sit-down cabinet with additional I/O is undumped.

-jailbrek.cpp: dumped PALs and added PCB info for jailbrekb [Guru]

-thedeep.cpp, welltris.cpp: used finder for memory bank and other minor cleanups [Ivan Vangelista]

-z80dma: Fixed Interrupt Enable Output. [Curt Coder]

-z80dma: Implemented the byte counter as an up counter. [Curt Coder]
 * abc1600 expects an up counter, and checks that the byte counter value is 0x200 after transferring 0x200 bytes. This is
    corroborated by the Z-80 DMA Controller Product Specification (February 1980) on page 7.

-capcom.cpp: added notes, cleaned up rom definitions. [Robbbert]

-initialised some variables in my drivers. [Robbbert]

-namcos2: fix regression with valkyrie sprite shadows [hap]

-faeton6d, petacon, petacona: fixed display, all games are playable. [Robbbert]

-gp_2.cpp: Andromeda, Cyclopes added note, games are playable. [Robbbert]

-Added some namespace to a few pinball drivers. [Robbbert]

-bus/nes: Properly acknowledge IRQ for UNL-SC-127 board. (#9362) [0kmg]

-Fix out of bounds access to std::string_view (#9360) [npwoods]
 * In practice this was probably benign, because a trailing NUL was there.  But this should still be fixed.

-rainbow: fix order of floppy formats [cracyc]

New machines marked as NOT_WORKING
----------------------------------
Spellbinder [Robbbert]

-nes_apu.cpp: Don't zero DPCM channel's output. Fixes some audio popping. (#9363) [0kmg]

-dangbar.cpp: Redumped Dangerous Bar display ROM [Museo del Recreativo] (#9359) [ClawGrip]

-s2650: fixed 3 errors n the z80-format disassembler. [Robbbert]

-cgenie_cass.xml: Add Micronopoly [Dirk Best]

New working software list additions
-----------------------------------
Micronopoly [siccoyote]

New working clones
------------------
Cruis'n USA (v1.1) [Rasmus Bælum Rolfshøj]
Ms. Pac-Man (Leisure and Allied bootleg) [Guru]

-various drivers and devices: added some notes about decapped chips which turned out to be ULAs [Ivan Vangelista]

-bus/nes/multigame.cpp: Fixed typo that turned assignment into an equality comparison. (#9361) [npwoods]
 * Fixes dancing Pacman walls and corrupt Legend of Kage title screen.

-floptool: Fixed typo in error message. (#9365) [pnp2084]
 * "Error: Aaving" should be "Error: Saving"

-seta.cpp: X0-006 does contain ROM after all, so updated description [Ivan Vangelista]

-photoply.cpp: Add recovery discs for Photo Play 2001 [jordigahan, ClawGrip] (#9343) [ClawGrip]

-terracre.cpp: correct description (#9366) [negunma]
 * According to music sheet officially offered from Nichibutsu (https://jogrm.blogspot.com/2022/02/blog-post_19.html), sound in the
    intro of main theme in old/older set seems not a glitch.

-ns32000: disassemble inss/extss length operand [Patrick Mackinlay]

-ns32202: improve interrupt logic [Patrick Mackinlay]

-ns32382: new device [Patrick Mackinlay]

New working machines
--------------------
Live Action Football [hap, Sean Riddle]

New working clones
------------------
Merlin - The Electronic Wizard (set 2) [Kevin Horton]

New machines marked as NOT_WORKING
----------------------------------
Liberty Electronics Freedom 120/Aspect 100 [Bitsavers]

-abc1600: Fix hard disk DMA write. [Curt Coder]

New machines marked as NOT_WORKING
----------------------------------
unknown game on TrueSys hardware [Jorge Silva]

New clones marked as NOT_WORKING
--------------------------------
Royal Card (stealth with NES multigame, set 2) [Jorge Silva]

-gei.cpp: document how to clear remaining credits [Brian Troha]

-model2.cpp: fill in Rail Chase 2's Sega ID & ROM board info [Brian Troha]

-model3.cpp: add Spikeout security module number and correct game ID & ROM board ID for Virtua Striker 2 Ver98 Step2 [Brian Troha]

-system1.cpp: add Sega game ID to SWAT [Brian Troha]

-famibox.cpp: Added verified cartridges, removed nonexistent cartridges. (#9367) [0kmg]

-playch10.cpp: A few more cleanups. (#9352) [0kmg]
 * Nametable RAM is now 2K, except for the two games (Rad Racer II, Gauntlet) that have extra RAM on daughter boards.
 * Removed unnecessary overridden machine/video start code for PinBot.
 * Added an address map for the PPU.
 * Further simplified initialization code for games that have VRAM or special RP5H01 usage.
 * Lots of conversion to C++-style comments with a few corrections along the way.

-Added dmovt opcode to i960 cpu (#9341) [Damian Rogers]

-goldnpkr.cpp driver. Hex values lowercase... [Roberto Fresca]

-babypac,granny: added sound. [Robbbert]

-by17, by35, zac2: added savestate items. [Robbbert]

-MPU-12 driver major improvements [Roberto Fresca, Grull Osgo, Mirko Buffoni]
 * Fixed screen matrix according to the CRTC values.
 * Improved memory map.
 * Hooked the AY-3-8910. Adjusted the clock.
 * Decoded bitplanes and unscrambled the color PROM addressing.
 * Calculated the color resnet.
 * Got the correct palette and game colors.
 * Working inputs from the scratch.
 * Completely reversed all the DIP switches.
 * Supported Button-lamps.
 * Added control panel layout.
 * Added two new hungarian clones.
 * Promoted all supported games to working.
 * Added hopper support.
 * Added default NVRAM to all sets.
 * Added more findings, diagrams and technical notes.

Machines promoted to working
----------------------------
Fruit Star Bonus (Ver 8.27PVIE) [Roberto Fresca, Grull Osgo]
Fruit Star Bonus (Ver 8.20PIR) [Roberto Fresca, Grull Osgo]

New working clones
------------------
Fruit Star Bonus (Ver 8.36UNG-1100) [Team Europe, Roberto Fresca, Grull Osgo, f205v, Jeroen Bijl, Bad A. Billy, pablopelos]
Fruit Star Bonus (Ver 8.30UNG-200) [Team Europe, Roberto Fresca, Grull Osgo, f205v, Jeroen Bijl, Bad A. Billy, pablopelos]

-kaneko16.cpp: corrected program ROM labels for mgcrystlj [Corrado Tomaselli]

-granny: fixed wrong sounds [Robbbert]

-st_100, st_200, gp_1, gp_2, hankin: replaced output.set_value with finder. [Robbbert]

-qbert: used output finder for knocker. [Robbbert]

-plugins/cheatfind: don't try to call a handler for the previous menu option [cracyc]

New working machines
--------------------
TC7: Air Traffic Control [hap, Sean Riddle]

-early 80s and older: Mattel -> Mattel Electronics [hap]

-by17,by35: made inputs visible in (this machine) [Robbbert]

-pc98.xml:  Fixed size of commented rom entries for sierradpy to match qfglory (same hashes). [Scott Stone]

-playboy: fixed mistake in last commit. [Robbbert]

New working clones
------------------
Red Hawk (horizontal, Spain, set 2) [Victor Fernandez (City Game)]

-tmscramb.svg: small correction to enemy sprites [hap]

-gts1: added outputs [Robbbert]

-midzeus.cpp: Add Cruis'n Exotica (and clones) PIC dump [Caps0ff, Darksoft, Mitsurugi_w] (#9375) [ClawGrip]
 * The PIC still need to be properly hooked up Also reformatted single-line comments on the ROM definitions

Clones promoted to working
--------------------------
Attack Force (unencrypted) [IZ8DWF]

-megazone.cpp: added PCB infos and some notes about the megazonea set [Guru]

-snesb.cpp, snesb51.cpp: moved fatfurspb from the former to the latter. Also patched out protection for ffight3b for now [hammy]

New clones marked as NOT_WORKING
--------------------------------
Airborne (1.5) [inkochnito]

-docs: Added page describing how MAME searches for media. [Vas Crabb]
 * Also made error messages for missing CHDs and missing files for software parts using the image file loader show search paths, and
    changed the (poorly named) bitbanger device to use the image file loader rather than the ROM loader for software items.

New clones marked as NOT_WORKING
--------------------------------
Dead or Alive (Export, Model 2A, Revision A) [Guru]

-hnayayoi.cpp: corrected clocks and dips [MORIYA]

-cpu/i960: Added cycle count adjustment for dmovt instruction. (#9378) [Damian Rogers]

-taito_l.cpp:  correct bonus life DIP switch for raimais, raimaisj, raimaisjo (MT08244) (#9381) [Steven Coomber]

New NOT_WORKING clones (#9380)
------------------------------
Kick & Kick (GNA36 VER. EAA) [Shiz]

New WORKING software list additions (#9379)
-------------------------------------------
vsmilem_cart.xml: [ClawGrip]
Campanilla (Spain) [TeamEurope, ICEknight, ClawGrip]

-snesb51.cpp: fixed regression [Ivan Vangelista]

-gts1,gts80: Improved sound. Added bonus display. [Robbbert]

-k007232.cpp: Fix frequency bits, Add notes (#9388) [cam900]
 * reference: https://github.com/furrtek/VGChips/tree/master/Konami/007232 (based on reverse engineering)

-osd/modules/input/input_rawinput.cpp: Allow re-plugging mouse/keyboard. [Vas Crabb]

New machines marked as NOT_WORKING
----------------------------------
WY-185ES (v2.0) [Bitsavers]

-alpha68k_n.cpp: Corrected audio clock for sstingry. (#9382) [negunma]
 * Changed sstingry audio clocks to match recording from PCB.
 * Also changed second and third sound chips for sstingray and kyros to AY-3-8910 based on PCB photos.

-multibus: various improvements [Patrick Mackinlay]
 * expose card-independent bus address spaces
 * support multiple slots and options
 * route interrupts to/from cards

-imds2: multibus update [Patrick Mackinlay]
 * also modernized address map

-pcmx2: boot to monitor [Patrick Mackinlay]
 * refactored into cards
 * boots to firmware monitor

-gts80b: added sound to more games. Fixed mmmaster, topsound. [Robbbert]

-Add TMS9995 Breadboard driver to evmbug.cpp (#9370) [Chris Swan]
 * Add TMS9995 Breadboard driver. Also changed ROM config for the underlying TMAM6095 system as it uses a 4K ROM for u8 as and a 2K
    for u9.

New working machines added
--------------------------
TMS9995 breadboard [Chris Swan]

-k005289.cpp: Minor cleanups, Use struct for voices (#9389) [cam900]

-model2.cpp: dumped IO board ROM for srallycdx [Guru]

-quizpun2.cpp, tail2nos.cpp: used finder for memory bank, small cleanups [Ivan Vangelista]

-aerofgt.cpp, cop01.cpp, dacholer.cpp, galivan.cpp, pzletime.cpp, taxidriv.cpp, terracre.cpp, welltris.cpp: removed some custom GFX
 decodes in favor of the ones provided in emu/video/generic.cpp [Ivan Vangelista]

-4enlinea.cpp: Fix 'sprtdart' game name as in title screen (#9372) [ClawGrip]

-Addressed a few coverity concerns. [Robbbert]

-evmbug: fixed name collision. [Robbbert]

-galaxian.cpp: correct DIP switches for spacempr (MT08245) (#9384) [Steven Coomber]

-statriv2.cpp: Correct DIP switches for hangman (MT08209) (#9303) [Steven Coomber]

-segacd.xml - megacd.xml - megacdj.xml: Description lowercase (#9281) [ArcadeShadow]
 * segacd.xml - megacd.xml - megacdj.xml: Lowercase on some description's words

-bonebstr: added sound [Robbbert]

-bkungfu: Use a named shared zone for the tileram [Olivier Galibert]

-ksys573: Implement I/O for Kick & Kick [windyfairy, Shiz] (#9399) [987123879113]

New working clones (#9398)
--------------------------
beatmania complete MIX (ver JA-C) [Taro]

-zodiack.cpp: add bonus life DIP switches (MT08236) (#9397) [Steven Coomber]

-namco_163.cpp: Fix side effects issue in reading (#9391) [cam900]
 * namco_163.cpp: Fix side effects issue in reading
 * namco_163.cpp: Use constant value here

-fmtowns_flop_orig.xml: 5 new dumps (#9396) [r09]
 * Also removed the old Shougi Seiten images from fmtowns_flop_misc.xml, since they have been confirmed to be bad dumps.

New working software list additions
-----------------------------------
2069 AD [cyo.the.vile]
Nihongo MS-DOS V3.1 L36 (Kihon Kinou) [cyo.the.vile]
Shougi Seiten [cyo.the.vile]

New not working software list additions
---------------------------------------
Fortress [cyo.the.vile]
Para Para Paradise Update Disk [cyo.the.vile]

-famibox.cpp: Added some input control bits. (#9393) [0kmg]
 * Joypads now swap depending on which one hit start on game select menu.
 * Controller inputs ignored during attract mode before inserting coin.
 * Minor cleanups of cart switching.

-famibox.cpp: Fix build [AJR]

-famibox.cpp: Fixed build error. (#9400) [0kmg]

-gts80b,gts3: added more sound [Robbbert]

-djmain: Fix parenting for bmcompmxb (#9402) [987123879113]

-bgfx: Added default LUT PNG, fixes LUT-effect crash. Fixed external texture loading, restoring HQx filters. [Ryan Holtz] (#9401)
 [MooglyGuy]

New working machines
--------------------
Star Fox (Nelsonic) [hap]

New machines marked as NOT_WORKING
----------------------------------
Super Mario Bros. 3 (Nelsonic) [hap]
Super Mario World (Nelsonic) [hap]

-gts80a,b: sound for another 16 machines. [Robbbert]

-The MAME CoCo driver now identifies RS-DOS and OS-9 as relevant file systems (#9406) [npwoods]

-arm7: Add debugger privilege callback for 26/32, A/T and user mode changes [AJR]

-gts3,gts3a: added sound to most remaining games. [Robbbert]

-seta.cpp - add alternative title to kamenrid (#9376) [Michael Sanborn]
 * This name is found if you change the country setting to Japan via the dip switch settings.

-arm7: Disassembly improvements [AJR]
 * Correct formatting of LDR and STR pre-indexed writeback modes
 * Correct opcode suffixes for LDM and STM in ARM mode
 * Correct LDRSH mnemonic in Thumb mode
 * Omit destination register for data processing instructions when Rd = Rs
 * Recognize RRX shift mode
 * Disassemble immediate ADD or SUB from R15 as ADR in both ARM and Thumb modes
 * Use ARM-preferred LSL, LSR, ASR, ROR and RRX mnemonics for shifted MOV operations
 * Fully disassemble flag field for MSR [CS]PSR
 * Use 0x as hexadecimal prefix except for small constants
 * Make output in Thumb mode prettier
 * Recognize a few more ARMv5/v5TE instructions
 * Add STEP_OUT debugging flag to a few more instructions commonly used for exits
 * Regularize a lot of sloppy formatting
 * Somewhat reduce code duplication in Thumb disassembler

-Adding 'FORMATS["COCO_RAWDSK"] = true' to mess.lua (#9412) [npwoods]

-More BGFX stability improvements (missing files + multi-window) (#9410) [MooglyGuy]
 * -bgfx: Improved stability when encountering missing files, and improved multi-window stability. [Ryan Holtz]
 * -osd: Added video-init fallback functionality to other OSDs. [Ryan Holtz]

New working clones
------------------
Ridge Racer (Rev. RR2 Ver.B, World) [Jim Kingery, Brian Troha, The Dumping Union]
Ridge Racer 2 (Rev. RRS8, World) [Jim Kingery, Brian Troha, The Dumping Union]
Ace Driver: Victory Lap (Rev. ADV2 Ver.B, World) [Jim Kingery, Brian Troha, The Dumping Union]

-Namco System 22 driver updates  [Jim Kingery, Brian Troha, The Dumping Union]
 * Sets redumped/verified: ridgeracb, ridgera2, raverace, raveracj, victlapa
 * ROM labels corrected by set: ridgeracb, ridgeraca, victlapa
 * Parent renaming: raveracw --> raverace, acedrvrw --> acedrive, victlapw --> victlap

-model2.cpp: some updates regarding board numbers [Guru]

-goindol.cpp: used finder for memory bank, other small cleanups [Ivan Vangelista]

-fmtowns_flop_orig.xml: add redumped aressh4m [cyo.the.vile] (#9416) [r09]

-nes.xml: Added eleven prototypes. (#9351) [0kmg]

New working software list additions
-----------------------------------
Advanced Dungeons & Dragons - Hillsfar (USA, prototype) [Hidden Palace]
Caesars Palace (USA, prototype, alt) [Hidden Palace, VGHF]
Dr. Mario (prototype, alt 2) [Hidden Palace, Stephan Reese]
Dragon Warrior II (USA, prototype) [Hidden Palace, Stephan Reese]
Moero!! Junior Basket - Two on Two (Japan, prototype) [Hidden Palace]
NES Open Tournament Golf (USA, prototype) [Hidden Palace, Stephan Reese]
NES Play Action Football (USA, prototype) [Hidden Palace, Stephan Reese]
Ninja Hattori-kun (Japan, prototype) [togemet2]
Star Soldier (Japan, prototype) [togemet2]
Tonjan!? (Japan, prototype) [togemet2]
Hitler no Fukkatsu - Top Secret (Japan, prototype) [togemet2]

-mapacman progress - crude display + inputs [Sean Riddle, Stefano Arosio, jrideburg, Team Europe, f205v, Osso1, David Haywood]
 (#9339) [David Haywood]
 * use timers
 * some basic inputs
 * make some beeps

-nes.xml: Added seven prototypes. (#9403) [0kmg]

New working software list additions
-----------------------------------
Galaxy 5000 - Racing in the 51st Century (USA, prototype) [GamersGulch, Forest of Illusion]
Hatris (USA, prototype) [mmsc]
Rampart (Japan, sample) [Skrybe]
Renegade (USA, prototype) [rfancella]
Saiyuuki World (Japan, prototype) [Aetius For Real]
Square Deal (Japan, Great Deal prototype) [Skrybe]
Toki (USA, prototype) [CloudGamerX]

-photoply.cpp: Add security dongle MCU dumps for 'photoply99sp' [Caps0ff, jordigahan, ClawGrip] (#9415) [ClawGrip]
 * Four dongles have been dumped, containing different mixes of MCU programs and EEPROMs.  The "rev" sticker on each dongle doesn't
    seem to relate to the contents.

-sm590: added i/o ports [hap]

-nes: added R.O.B. [hap]

-vsnes.cpp: Simplified graphics memory handling a bit. (#9338) [0kmg]
 * Added address maps for PPUs, eliminating some variables and associated setup.
 * Separated banking from base light gun input handler.

-Add missing cpu.lua entries for the rest of the SM5* family.  Fixes single-driver builds. [R. Belmont]

-gts3,gts3a: added rom banking for oki6295. [Robbbert]

-tlcs900: check timer enable before clocking chained timer, this improves ngpc svccard2 [dink]

-nes_rob.lay: a bit more compact view [hap]

-xxmissio.cpp: used finder for memory bank, other minor cleanups [Ivan Vangelista]

-Fixed some debugger memory view annoyances and cleaned up Lua bindings. [Vas Crabb]
 * Made the debugger memory view not depend on isprint which is affected by the global locale.  Assume the OSD will display as
    ISO-8869-1 and replace problematic printable characters.
 * Started changing Lua function bindings to use set_function to avoid potential issues related to ThePhD/sol2#608, and worked out
    what was causing problems with symbol table read_memory/write_memory.  (They aren't really essential - you can do the same thing
    with the address space object itself, but they're easier to parameterise.)

-Revert "More BGFX stability improvements (missing files + multi-window) (#9410)" [Vas Crabb]
 * This reverts commit f5b75b74393646d1dc082ec807279451dc481854.

-msx.cpp [mx10, pv7, pv16, cpc50a, cpc50b, cpc51]: Corrected several machines' VDP model to match that of actual hardware which may
 have been lost to refactoring over time.  Fixes MT#8249. [Scott Stone]

-vgmplay.xml: Added 19 new entries. [vgmrips.net, Tafoid]

-Fix Mac compile. [R. Belmont]

-nes.xml: Added six miscellaneous dumps. (#9421) [0kmg]

New working software list additions
-----------------------------------
8Bit Rhythm Land [anonymous]
DuckTales (USA, 19890205 prototype) [TCRF]
Freedom Force (USA, 19871229 prototype) [Hubz]
Hot Dance with Samba (Asia) [krzysiobal]
Metal Storm Collector's Edition [anonymous]
Rainbow Brite - Journey to Rainbow Land [anonymous]

-Updated BGFX fixes; verified as working on Linux and Windows. (#9420) [MooglyGuy]
 * -bgfx: Improved stability when encountering missing files, and improved multi-window stability. [Ryan Holtz]
 * -osd: Added video-init fallback functionality to other OSDs. [Ryan Holtz]
 * -bgfx: Fixed issues from the previous batch of changes. [Ryan Holtz]
 * -osdwindow: Remove no-longer-needed addition of post_create(). [Ryan Holtz]

New working clones
------------------
Frogger (Turtles hardware) [chaneman]

-fastlane.cpp, flkatck.cpp: used finders and arrays where applicable, other minor cleanups [Ivan Vangelista]

-bgfx: Fixed YUV shader to have better brightness balance. [Ryan Holtz] (#9425) [MooglyGuy]

-gts3a: DMD partially working, 11 games are playable. [Robbbert]

New machines marked as NOT_WORKING (#9356)
------------------------------------------
Elektronika MK-98 [shattered]

New working clones (#9320)
--------------------------
ILCE / SEP Micro-Sep Model 3 [Barry Nelson]

-megadriv.xml: Added 5 new dumps. (#9422) [0kmg]

New working software list additions
-----------------------------------
16Bit Rhythm Land [anonymous]
Castlevania - Bloodlines (USA, 19931003 prototype) [Simon_Belmont, Pulse_Project]
Castlevania - Bloodlines (USA, 19930804 prototype) [Billscat-socks]
Dune - The Battle for Arrakis (prototype, Ver 0.03) [GamingLegend64, Hard4Games, Forest of Illusion]
Mortal Kombat 3 (prototype) [sadikyo]

-r2dtank.cpp: add bonus life DIP switch (MT08250) (#9424) [Steven Coomber]

-Better fix for Mac compile. [R. Belmont]

New working clones
------------------
Cruis'n USA (v2.0) [Brian Troha, The Dumping Union]

-Lua engine: Enable checks for debug builds, kill sol::buffer. (#9419) [Vas Crabb]

-add b5000 cpu core file placeholders [hap]

-pps41: add part number to description [hap]

-unidasm: Fix build after 2dab71e7e0eb2b0bf35f97090e20e5bab8deddc4 [AJR]

-hh*: remove fake left/right input for football games [hap]

-cham24.cpp: Improved banking. (#9430) [0kmg]

-sdl/window: fix possible compile problem with init fallbacks [hap]

-asuka.cpp: bonzeadv has no ADPCM-A samples (#9428) [negunma]

-bus/nes_ctrl: Split zapper sensor off as a reusable device. (#9417) [0kmg]

-yunsung8.cpp: made use of finders and views, other minor cleanups [Ivan Vangelista]

-b5000: add disassembler [hap]

New working software list additions
-----------------------------------
bbc_flop_80186: DOS Plus with Econet Software [Nigel Barnes]
mtx_rom: Hisoft PASCAL V1.4 [Paul Smith]

-bus/archimedes/econet: Added MIDI devices: [Nigel Barnes]
 * The Serial Port MIDI Interface
 * The Serial Port Sampler and MIDI Interface

-bus/archimedes/podule: Added MIDI devices: [Nigel Barnes]
 * EMR MIDI 2 Interface
 * EMR MIDI 4 Interface

-bbc_tube_6502: Corrected 6502 variants used in the 2nd processors. [Nigel Barnes]

-archimedes/podule/midi_emr: fixed compile (suggest parentheses) [Robbbert]

-init vars to appease coverity [Robbbert]

-dynax.cpp: Corrected screen order for janyuki/jantouki (MT05102). (#9431) [0kmg]

-ibm5170_cdrom.xml / pc98_cdrom.xml: Data fixes (#9429) [David 'Foxhack' Silva]

New software list additions
---------------------------
Microsoft Windows 98 Second Edition (jp 4.10.2222) (Retail Full) [David 'Foxhack' Silva]

-Corrected release years for other Windows releases and added serials for Microsoft Windows 98 Second Edition (PC-98 / IBM 5170)
 [David 'Foxhack' Silva]

-vsnes.cpp: Various cleanups. (#9426) [0kmg]
 * Modernized PRG ROM banking. Gets rid of banking via memcpy.
 * Cleaned up some of the daughter board code, including protection routines.
 * Lots of C-style comment to C++-style conversion.

-zac_2.cpp: got 43 out of 45 games to work (but no sound yet). [Robbbert]

-b5000: added easy opcodes [hap]

-actfancr.cpp: fixed MT08210 [AmatCoder]

New clones marked as NOT_WORKING
--------------------------------
Pontoon (FD1094 317-?) [nnap]

New machines marked as NOT_WORKING
----------------------------------
Bin Bin Bingo (Japan, main unit) [nnap]

-init variables for coverity [Robbbert]

-namcona1.cpp: Correct Bin Bin Bingo year (#9435) [sjy525]

New working clones
------------------
Monsters World 2 (bootleg of Super Pang) [Recreativas.org, David Torres, ClawGrip]

-b5000: add jump and i/o opcodes [hap]

-init vars for coverity [Robbbert]

-vsnes.cpp: Fixed Gumshoe regression. (#9438) [0kmg]

-sound/gb.cpp: Fix cycle handling. [ValleyBell] (#9436) [wilbertpol]
 * sound/gb.cpp: Fix cycle handling. [ValleyBell]
 * sound/gb.cpp: Prevent hypothetical shifting of negative numbers. Simplify update_noise_channel.

-b5000: add b6000, b6100 [hap]

-vicdual.cpp: add bonus life DIP switch to wantsega, alphaho & alphahob (MT08256 & MT08257) (#9441) [Steven Coomber]
 * Note that I have also updated the DIP switch names on alphahob to reflect the game names used on this bootleg (Missile & Circuit)

-8080bw.cpp: update DIP switches for skylove & claybust (MT08251 & MT08254) (#9439) [Steven Coomber]
 * Add Bonus Life DIP switch for skylove (MT08251) Add Number of Flings DIP switch for claybust (MT08254)

-Minitel 2 : Modem and serial port support (#9418) [ovalenti]

-Fixing error message in Floptool (#9404) [npwoods]

-photoply.cpp: Fix name conflict and improve comments on 'photoply99sp' dongle MCU dumps (#9440) [ClawGrip]

-init vars for coverity. [Robbbert]

-galaxian.cpp: add auto fire DIP switch to mimonkey, mimonscr, mimonsco & mimonscra (MT08259) (#9443) [Steven Coomber]

-b5000: add pinout diagrams [hap]

-ti99: New expansion card "TIPI". [Michael Zapf]

New machines marked as NOT_WORKING
----------------------------------
18R (Rockwell) [hap, Sean Riddle]

-Fix clang error: lambda capture 'this' is not used [-Werror,-Wunused-lambda-capture]

-arc_midi_aka16: Corrected addressing of ROM page and UART. [Nigel Barnes]

-bbc_tube_80186/286: Added ibm5150 compatible software list. [Nigel Barnes]

-bbc_integrab: Added earlier ROM release. [Nigel Barnes]

New machines marked as NOT_WORKING
----------------------------------
Auto Race [hap, Sean Riddle]
Missile Attack (Mattel) [hap, Sean Riddle]
Football (Mattel) [hap, Sean Riddle]
Baseball (Mattel) [hap, Sean Riddle]
Gravity (Mattel) [hap, Sean Riddle]

-Cleaned up a few more slot machine layouts, fixed editing error in m5bbro.lay. [Vas Crabb]

-hh_b5000: add notes [hap]

-ibm5150.xml: 17 added + 3 redumped + 4 renamed (#9374) [ArcadeShadow]
 * ibm5150.xml: 17 added + 3 redumped + 4 renamed

New working software list additions
-----------------------------------
Dragon's Lair (5.25") [ibmpc5150, archieve.org]
Ghostbusters II [ibmpc5150, archieve.org]
Hillsfar (v1.0, 5.25") [The Good Old Days]
Hillsfar (v1.0, 3.5") [The Good Old Days]
Hillsfar (v1.1, 3.5") [The Good Old Days]
Hillsfar (v1.2, 3.5") [The Good Old Days]
Night Shift (5.25") [ibmpc5150, archieve.org]
Night Shift (3.5") [ibmpc5150, archieve.org]
Night Shift (3.5", alt) [moved from ibm5170 software list]
Paperboy (5.25") [ibmpc5150, archieve.org]
Paperboy 2 (5.25") [ibmpc5150, archieve.org]
Police Quest II - The Vengeance (5.25", v1.001.000) [ibmpc5150, archieve.org]
Space Quest III - The Pirates of Pestulon (5.25") [The Good Old Days]
Space Quest III - The Pirates of Pestulon (3.5") [The Good Old Days]
Waterloo [ibmpc5150, archieve.org]

New NOT_WORKING software list additions
---------------------------------------
Keith Van Eron's Pro Soccer (5.25") [ibmpc5150, archieve.org]
Keith Van Eron's Pro Soccer (3.5") [ibmpc5150, archieve.org]

Redump
------
King's Bounty [ibmpc5150, archieve.org] (the old version has a modified OEM ID and files accessed) [ArcadeShadow]
Paperboy 2 (3.5") [ibmpc5150, archieve.org] (the old version has a modified OEM ID and files accessed) [ArcadeShadow]
Dragon's Lair (3.5") [ibmpc5150, archieve.org] (modified root - files accessed) [ArcadeShadow]

Rename
------
[paperboy] Paperboy -> [paperboy35] Paperboy (3.5") [ArcadeShadow]
[pquest2a] Police Quest II - The Vengeance (5.25", v1.001.006) -> [pquest2b] Police Quest II - The Vengeance (5.25", v1.001.006)
  [ArcadeShadow]
[dlair] Dragon's Lair (5.25") -> [dlaira] Dragon's Lair (5.25", older) [ArcadeShadow]
[lsl3fr] -> [lsl3_35fr]

-ibm5170.xml: 9 added + 1 redumped + 1 renamed (#9408) [ArcadeShadow]

New working software list additions
-----------------------------------
Alone in the Dark 2 (Germany) [The Good Old Days]
Eternam [ibmpc5150, archive.org]
Fables & Fiends - Book One: The Legend of Kyrandia (v1.8, 3.5", Germany) [The Good Old Days]
Dragon's Lair [ibmpc5150, archive.org]
Maniac Mansion: Day of the Tentacle (Germany) [The Good Old Days]
Prophecy of the Shadow (3.5") [The Good Old Days]
Prophecy of the Shadow (5.25") [The Good Old Days]
Serf City: Life is Feudal (USA) [ibmpc5150, archive.org]
SimCity 2000 (Interactive demo disk) [lazygamereviews, archive.org]

Redump
------
Inca 2: Wiracocha (Euro) [ibmpc5150, archive.org] (disk 3 and disk 10 have a modified OEM ID) [ArcadeShadow]

Rename
------
tentaclef -> tentaclefr [ArcadeShadow]

-ibm5170.xml: Remove duplicate set [Justin Kerk]

-playch10.cpp: Use memory banks for nametable RAM. (#9442) [0kmg]
 * famibox.cpp: Use memory banks for nametable RAM. cham24.cpp: Use memory banks for nametable RAM. multigam.cpp: Add PPU address
    map and use memory banks for nametable RAM.

-k051649.cpp: Fix input clock, Simplify some routines, Reduce unnecessary variables, Minor cleanups, Add notes (#9433) [cam900]
 * nemesis.cpp, quickpick5.cpp: Fix sound output routine for sound chips with only 1 outputs nemesis.cpp: Reduce sound output
    routine duplicates vgmplay.cpp: Remove outdated comments, Fix compatiblity for old VGMs

-rc2014 - Added the correct company name for the RC2014 Kits. (#9373) [Phillip Stevens]

-bus/nes: Improved support for some Waixing pirate Chinese translations. (#9358) [0kmg]
 * bus/nes: Improved support for some Waixing pirate Chinese translations.

Software list items promoted to working (nes.xml)
-------------------------------------------------
Qīlóngzhū (China) [0kmg]
Sàiyǎrén Mièjué Jìhuà (China) [0kmg]
Sānguózhì III (China) [0kmg]
Sānguózhì (Asia, decrypted SmyNES) [0kmg]
Shénhuà Jiàn Yún III (China) [0kmg]

-bootleg.cpp: Properly acknowledge IRQs in bootleg Dragon Ninja. nes_slot.cpp: Removed hold_line_irq() helper function once and for
 all. [0kmg]

-Spectrum graphics improvements (continuation of #9218). (#9355) [holub]
 * Spectrum graphics improvements (continuation of #9218). Routines have been cleaned and optimized based on the current state of
    graphics_device. All configurations are done in terms of T-States/pixels which will simplify adjustment to proper timings.

-68k: support for external MMU bus error instruction restart (#9369) [J Booth]
 * 68010 RTE: don't set SR (which may change SP to USP) until after unwinding 1000 stack exception frame
 * 68010: create 1000 format stack frame on bus error
 * 68k: support for external MMU bus error instruction restart, set fault address in 68010 and 68070 stack frames, set fc and rw in
    68010 stack frame

-qx10: add multifont option card (#9286) [Brian Johnson]

-c64.cpp: add mercury31s.bin ROM (#9350) [Chris Swan]

-b5000: add assert to multistep opcodes [hap]

-hh*: more saturated leds for the football games [hap]

-a1supply.cpp: dumped most missing PROMs for tv21_3 [Siftware]

-blktiger.cpp, nmk16.cpp: added some hardware infos. Corrected blktiger MCU clock [Guru]

-wc90.cpp, wc90b.cpp: used finders, small cleanups [Ivan Vangelista]

-galaxian.cpp: Add lives DIP switch to aracnis (#9446) [Steven Coomber]

-galaxian.cpp: fix default coinage to 1C_1C for aracnis [Angelo Salese]

-avr8, cp1610, mn10200: Add some instruction-type debugging flags to disassemblers [AJR]

-docs: Fixed a copy/paste typo in the Technical Specifications. (#9452) [0kmg]

-qx10: Install software timer interrupts (#9454) [Brian Johnson]

-alinvade.cpp: add bonus life DIP switch (MT08263) (#9450) [Steven Coomber]
 * I have also defaulted lives to 3 which is what arcade operators would have typically used at the time

-gberet.cpp: added hardware infos, corrected bootleg clocks [Guru]

-peplus.cpp: minor cleanups, enabled clickable artwork for keno sets [Ivan Vangelista]

-init vars for coverity [Robbbert]

-init more vars for coverity [Robbbert]

-init even more vars for coverity [Robbbert]

-geneve: Fix debugger interference with memory access. [Michael Zapf]

-init vars for coverity (includes/m) [Robbbert]

-init vars for coverity (includes/n,o,p) [Robbbert]

-init vars for coverity (includes/p,q) [Robbbert]

-init vars for coverity (includes/r) [Robbbert]

-init vars for coverity (includes/s) [Robbbert]

-init vars for coverity (includes/t,u) [Robbbert]

-init vars for coverity (includes/v,w,x,y,z) [Robbbert]

-Lua engine improvements (#9453) [Vas Crabb]
 * Made auto-boot script errors and plugin bootstrap errors fatal.
 * Run auto-boot scripts in a sandbox.  Globals can be accessed, but not set.  The sandbox is cleared on hard reset, but not on soft
    reset.
 * Added (hopefully) useful to string metafunctions to device_t and address space that show short names and tags.
 * Fixed issues in plugins that surface when strict type checking is enabled, as this means numbers and nil are not automatically
    converted to strings.  Plugins should be tested with debug builds to check for this.
 * Made save item read_block raise an error on invalid arguments rather than returning an empty string, and made it use luaL_buffer
    directly rather than using the helper wrapper.
 * Changed some more function bindings to use set_function to avoid issues related to ThePhD/sol2#608, and got rid of some
    unnecessary lambda captures.

-mbee: added basic 5.00 as "mbee -bios 1" (not working). [Robbbert]

-floppy formats: correct sector extraction in wd/upd when extracted sector is smaller than expected [Olivier Galibert]

-floptool: Allow creating unformatted images again [Olivier Galibert]

-zac_proto: added slam tilt [Robbbert]

-flex, img: Remove mutable variables from the class [Olivier Galibert]

Software list items promoted to working
---------------------------------------
SNK vs. Capcom - Card Fighters 2 - Expand Edition (Jpn) [dink]

-tlcs900.cpp: fixed lcdf16, andcf16, orcf16 and xorcf16 opcodes [dink]

New machines marked as NOT_WORKING
----------------------------------
Gun Shot [Museo del Recreativo]

-blktiger.cpp: used finders and some other small cleanups [Ivan Vangelista]

-qx10: Implement floppy motor on timer (#9456) [Brian Johnson]

-bus/nes: Simplifications using bit utility functions. (#9444) [0kmg]
 * bus/nes: Simplifications using bit utility functions.
 * Corrected UNL-KOF97 board's address decoding.
 * Cleaned up Gouder board further and added missing mirroring bit. Fixes BG graphics.

New working software list additions
-----------------------------------
aquarius_cart: Bomb Catcher II (16K), Bomb Catcher II (8K), Bomb Catcher II (4K) [Roy Templeman]

-atom_rom.xml: Added release years. [Nigel Barnes]

-positron: Adjusted CPU clock to account for internal divider. [Nigel Barnes]

Machines promoted to working
----------------------------
Auto Race [hap, Sean Riddle]
Missile Attack (Mattel) [hap, Sean Riddle]
Football (Mattel) [hap, Sean Riddle]
Baseball (Mattel) [hap, Sean Riddle]
Gravity (Mattel) [hap, Sean Riddle]

-pinmoonl: remove leading space in title string [hap]

-hiscore.dat: updates [Leezer]

New machines marked as NOT_WORKING
----------------------------------
Player's Choice RAM Clear [Brian Troha]
Player's Choice (PC644VZ) Jacks or Better [Brian Troha]

New clones marked as NOT_WORKING
--------------------------------
Player's Choice (PC679CY) Jacks or Better [Brian Troha]
Player's Choice (PC714VZ) Jacks or Better [Brian Troha]
Player's Choice (PC716VY) Jacks or Better [Brian Troha]
Player's Choice (PC718VY) Jacks or Better [Brian Troha]

-inder.cpp: Add year for "Gun Shot" (#9459) [ClawGrip]

-zac_1: improved the sounds [Robbbert]

-init vars for coverity (drivers/m) [Robbbert]

-init vars for coverity (drivers/n,o) [Robbbert]

new WORKING machines (#9455)
----------------------------
Super Game 25-in-1 (GM-228) [Team Europe]

-fmtowns_cd.xml: 10 new dumps, 2 replacements (#9448) [r09]
 * fmtowns_cd.xml: 10 new dumps, 2 replacements
   - Added missing floppy images to psydet3r and psydet5r [cyo.the.vile]
   - Replaced the lotr2 floppy image with a proper one dumped from the original disk [cyo.the.vile]

New working software list additions
-----------------------------------
AIV - A Ressha de Ikou 4 (1993-12-15 04:00:00) [redump.org, cyo.the.vile]
Emit Vol. 1 - Toki no Maigo (Version 1.30 Release 2.00, 1995-01-20) [redump.org, cyo.the.vile]
Master CD - Fresh Series-you (Ichitarou Model) [redump.org]
Microsoft Windows Version 3.1 L10 [redump.org, cyo.the.vile]
Software Contest Nyuusen Sakuhinshuu 1 (HMC-139A) [redump.org]
Taiken Shiyou! Marty Channel II [redump.org]
Terra Towns II [redump.org]
Towns Magazine Vol. 3 [redump.org]

New not working software list additions
---------------------------------------
Nihongo Linux + JE [redump.org]
Euphony II / MTR V1.1 L20 [redump.org]

Replaced software list items
----------------------------
Nihongo Linux + JE3 [redump.org]
Towns Hyakunin Isshu [redump.org]

Software list items promoted to working
---------------------------------------
Psychic Detective Series Vol. 3 - Aya (DCCS remake) [cyo.the.vile]
Psychic Detective Series Vol. 5 - Nightmare (DCCS remake) [cyo.the.vile]

-fmtowns_cd.xml: added a few memory requirement notes [r09]

-init vars for coverity (drivers/p) [Robbbert]

-init vars for coverity (drivers/q,r) [Robbbert]

-init vars for coverity (drivers/s) [Robbbert]

-init vars for coverity (drivers/t,u) [Robbbert]

-init vars for coverity(drivers/v) [Robbbert]

-capbowl.cpp: used finders and other small cleanups [Ivan Vangelista]

-system1.cpp: added hardware infos for pitfall2 [Guru]

-init vars for coverity(includes/a-e) [Robbbert]

-rw18r: fix page 2 rom load [hap]

-capbowl.cpp: fixed a couple of problems introduced in previous commit [Ivan Vangelista]

-b5000: remove tkbs_step [hap]

-Apple softlist update for March 2022 (#9447) [Firehawke]
 * Correct missing disk name information for a couple of Apple II sets.

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
The Institute [4am, Firehawke]
The Hazards of Voltageville [4am, Firehawke]
The Great Gonzo in Word Rider [4am, Firehawke]
The Tarturian [4am, Firehawke]
Survival Adventure [4am, Firehawke]
Stellar Defense (Version 1.2) [4am, Firehawke]
Beneath Apple Manor (Version 1.1) [4am, Firehawke]
Teleport [4am, Firehawke]
Secret Agent: Mission One [4am, Firehawke]
Science Corner: Weather Watch (800K 3.5") [4am, Firehawke]
Science Corner: Space Probe (800K 3.5") [4am, Firehawke]
Grapple [4am, Firehawke]
Apple-Oids and Chipout [4am, Firehawke]
Sword of Sheol [4am, Firehawke]
Locksmith 3.1 [4am, Firehawke]
Competition Karate [4am, Firehawke]
Copy II Plus (Version 3.0) [4am, Firehawke]
Nibbles Away III (Version 1.25B)  [4am, Firehawke]
Star League Baseball [4am, Firehawke]
The Pawn (Version 2.3) [4am, Firehawke]
Pursuit of the Graf Spee [Paul Hagstrom, 4am, Firehawke]
Bezare [4am, Firehawke]
International Gran Prix (Riverbank Software) [4am, Firehawke]
The Guild of Thieves [4am, Firehawke]
Artesians [4am, Firehawke]
Jinxter (Version 1.0) [4am, Firehawke]
Neutrons [4am, Firehawke]
Tunnel Terror [4am, Firehawke]
Crypt of Medea [4am, Firehawke]
Handy Dandy [4am, Firehawke]
Jump Jet [4am, Firehawke]
Max-Command [4am, Firehawke]
Missile Defense [4am, Firehawke]
Crystal Caverns [4am, Firehawke]
The Chessmaster 2000 [4am, Firehawke]
At the Gates of Moscow 1941 [4am, Firehawke]
Mouskattack [4am, Firehawke]
Raiders of the Lost Ring [4am, Firehawke]
Zodiac Castle [4am, Firehawke]
Beneath Apple Manor: The Special Edition [4am, Firehawke]
Battlesight (Version 3.3.1) [4am, Firehawke]
Pythagoras and the Dragon [4am, Firehawke]
Robot Battle [4am, Firehawke]
Oldorf's Revenge [4am, Firehawke]
Gin Rummy [4am, Firehawke]
Star Ball [4am, Firehawke]
Shadow Hawk One [4am, Firehawke]
Death Race '82 [4am, Firehawke]
Gemstone Healer (Version 1.2) [4am, Firehawke]
Space Adventure: Episode One [4am, Firehawke]
Super Taxman 2 [4am, Firehawke]
Space Cadette [4am, Firehawke]
Science Explorers: Animal Adaptations (800K 3.5") [4am, Firehawke]
Black Belt [4am, Firehawke]
Zoo Master [4am, Firehawke]
Ape Escape [4am, Firehawke]
The Playroom [4am, Firehawke]
The Eating Machine [4am, Firehawke]
Word Spinner (Version 1.0) [4am, Firehawke]
Critical Mass [4am, Firehawke]
Gunslinger [4am, Firehawke]
The Black Cauldron [4am, Firehawke]
Mixed-Up Mother Goose [4am, Firehawke]
Science Explorers: Day, Night, and The Seasons (800K 3.5") [4am, Firehawke]
His Majesty's Ship "Impetuous" [4am, Firehawke]
Micro Mother Goose [4am, Firehawke]
Skybombers II [4am, Firehawke]
Battleship Commander [4am, Firehawke]
Three Mile Island [4am, Firehawke]
Conglomerates Collide [4am, Firehawke]
Cyborg (Version 2) [4am, Firehawke]
Fantasyland 2041 A.D. [4am, Firehawke]
Cross Country Rallye [4am, Firehawke]
Creature Venture [4am, Firehawke]
Science Explorers: Nutrition (800K 3.5") [4am, Firehawke]
Exploring Gas Laws (Version 1.0) (800K 3.5") [4am, Firehawke]
Wonderland Puzzles (Version 1.0) (800K 3.5") [4am, Firehawke]
Cryptoquest (Version 1.0) (800K 3.5") [4am, Firehawke]
Science Giants (Version 1.0) (800K 3.5") [4am, Firehawke]
Freedom! (Version 1.0) (800K 3.5") [4am, Firehawke]
Arizona Mix (Version 1.0) (800K 3.5") [4am, Firehawke]
Rescue in the Outback (Version 1.0) (800K 3.5") [4am, Firehawke]
Woolly's Garden (Version 1.0) (800K 3.5") [4am, Firehawke]
Exploring Chaos (Version 1.0) (800K 3.5") [4am, Firehawke]
Pet Shop (Version 1.0) (800K 3.5") [4am, Firehawke]
Science Explorers: Simple Machines (800K 3.5") [4am, Firehawke]
Dog Sled Ambassadors (Version 1.0) (800K 3.5") [4am, Firehawke]
Moving Museum (Version 1.0) (800K 3.5") [4am, Firehawke]
Take a Chance! (Version 1.0) (800K 3.5") [4am, Firehawke]
Treasures for Sale (Version 1.0) (800K 3.5") [4am, Firehawke]
Caravans to Timbuktu! (Version 1.0) (800K 3.5") [4am, Firehawke]
Amazing Arithmetricks (Version 1.0) (800K 3.5") [4am, Firehawke]
Picture a Story (Version 1.0) (800K 3.5") [4am, Firehawke]
Number Jumpers (Version 1.0) (800K 3.5") [4am, Firehawke]
Windy City (Version 1.0) (800K 3.5") [4am, Firehawke]
Word Builder (Version 1.0) (800K 3.5") [4am, Firehawke]
On Balance (800K 3.5") [4am, Firehawke]
Dueling Digits (Version 1.0) (800K 3.5") [4am, Firehawke]
History Makers (Version 1.0) (800K 3.5") [4am, Firehawke]
Dr. Livingstone, I Presume? (Version 1.0) (800K 3.5") [4am, Firehawke]
Eerieville Library (Version 1.0) (800K 3.5") [4am, Firehawke]
Fish School (Version 1.0) (800K 3.5") [4am, Firehawke]
Grammar Gobble (Version 1.0) (800K 3.5") [4am, Firehawke]
Grammar Madness (Version 1.0) (800K 3.5") [4am, Firehawke]
Nutrition Nabber (Version 1.0) (800K 3.5") [4am, Firehawke]
On Stage (Version 1.0) (800K 3.5") [4am, Firehawke]
Sum Stories (Version 1.0) (800K 3.5") [4am, Firehawke]
Big Book Maker: The Rain Forest (800K 3.5") [4am, Firehawke]
Rocket Factory (Version 1.0) (800K 3.5") [4am, Firehawke]
Probability Lab (Version 1.0) (800K 3.5") [4am, Firehawke]
Space Station Freedom (Version 1.0) (800K 3.5") [4am, Firehawke]
Weeds to Trees (Version 1.0) (800K 3.5") [4am, Firehawke]
Sun and Seasons (Version 1.0) (800K 3.5") [4am, Firehawke]
Paper Plane Pilot (Version 1.0) (800K 3.5") [4am, Firehawke]
Patterns (Version 1.2) (800K 3.5") [4am, Firehawke]
Lewis and Clark Stayed Home (Version 1.0) (800K 3.5") [4am, Firehawke]
Grammar Toy Shop (Version 1.0) (800K 3.5") [4am, Firehawke]
Fossil Hunter (Version 1.0) (800K 3.5") [4am, Firehawke]
Big Book Maker: The Three Princesses (800K 3.5") [4am, Firehawke]
Murphy's Minerals (Version 1.0) (800K 3.5") [4am, Firehawke]
Grammar Monsters (Version 1.0) (800K 3.5") [4am, Firehawke]
Mystery Matter (Version 1.1) (800K 3.5") [4am, Firehawke]
Grammar Gazette (Version 1.0) (800K 3.5") [4am, Firehawke]
Five Star Forecast (Version 1.0) (800K 3.5") [4am, Firehawke]
Lunar Greenhouse (Version 1.1) (800K 3.5") [4am, Firehawke]
Miner's Cave (Version 1.0) (800K 3.5") [4am, Firehawke]
Measure Works (Version 1.0) (800K 3.5") [4am, Firehawke]
Money Works (Version 1.1) (800K 3.5") [4am, Firehawke]
Fraction Concepts, Inc. (Version 1.2) (800K 3.5") [4am, Firehawke]
Story Starters: Science (800K 3.5") [4am, Firehawke]
Estimation Strategies (Version 1.0) (800K 3.5") [4am, Firehawke]
Estimation Activities (Version 1.0) (800K 3.5") [4am, Firehawke]
Estimation: Quick Solve I (Version 1.0) (800K 3.5") [4am, Firehawke]
CommuniKeys (Version 1.1) (800K 3.5") [4am, Firehawke]
Fraction Munchers (Version 1.0) (800K 3.5") [4am, Firehawke]
Conquering Decimals (+, -) (Version 1.1) (800K 3.5") [4am, Firehawke]
Conquering Fractions (+, -) (Version 1.1) (800K 3.5") [4am, Firehawke]
Conquering Decimals (x, /) (Version 1.1) (800K 3.5") [4am, Firehawke]
Conquering Fractions (x, /) (Version 1.1) (800K 3.5") [4am, Firehawke]
Instant Survey (Version 1.0) (800K 3.5") [4am, Firehawke]
Story Starters: Social Studies (800K 3.5") [4am, Firehawke]
Spellevator (Version 1.3) (800K 3.5") [4am, Firehawke]
Spelling Puzzles and Tests (800K 3.5") [4am, Firehawke]
Spelling Series Toolkit (800K 3.5") [4am, Firehawke]
Spelling Workout (Version 1.1) (800K 3.5") [4am, Firehawke]
Teacher Option Organizer (Version 1.1) (800K 3.5") [4am, Firehawke]
Perplexing Puzzles (800K 3.5") [4am, Firehawke]
Science Explorers: Plants (800K 3.5") [4am, Firehawke]
Science Explorers: Shadows (800K 3.5") [4am, Firehawke]
Science Explorers: Skeletons (800K 3.5") [4am, Firehawke]
Science Explorers: Weather (800K 3.5") [4am, Firehawke]
The Final Conflict [4am, Firehawke]
Intrigue! [4am, Firehawke]
Deathmaze 5000 [4am, Firehawke]
Space Pirates 3000 [4am, Firehawke]
Windmere Estate [4am, Firehawke]
Super Galaxy Wars [4am, Firehawke]
Mixed-Up Mother Goose (Version 1.0I) [4am, Firehawke]
Super Story Tree (Version 1.0) (800K 3.5") [4am, Firehawke]
Computer Concepts (800K 3.5") [4am, Firehawke]
The Plant Growth Simulator (800K 3.5") [4am, Firehawke]
Ace Detective (800K 3.5") [4am, Firehawke]
Facts and Fallacies (Version 02.01.87) (800K 3.5") [4am, Firehawke]
Curious George Goes Shopping (800K 3.5") [4am, Firehawke]
Curious George in Outer Space (800K 3.5") [4am, Firehawke]
Curious George Visits the Library (800K 3.5") [4am, Firehawke]
La Fábrica (800K 3.5") [4am, Firehawke]
Conquering Whole Numbers (Version 1.1) (800K 3.5") [4am, Firehawke]
Galactic Quest [4am, Firehawke]
First-Letter Fun (Version 1.1) (800K 3.5") [4am, Firehawke]
Jenny's Journeys (Version 1.0) (800K 3.5") [4am, Firehawke]
Mastering Math Worksheet Generator (Version 1.1) (800K 3.5") [4am, Firehawke]
Odell Lake (Version 1.2) (800K 3.5") [4am, Firehawke]
Speedway Math (Version 1.0) (800K 3.5") [4am, Firehawke]
The Friendly Computer (Version 1.5) (800K 3.5") [4am, Firehawke]
The Oregon Trail (Version 1.4) (800K 3.5") [4am, Firehawke]
The Bank Street Writer III (20-Column Version) (800K 3.5") [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Note Speller (cleanly cracked) [4am, Firehawke]
Perspectives in Music History (cleanly cracked) [4am, Firehawke]
Quentin Visits The Big City (cleanly cracked) [4am, Firehawke]
pfs:report (Version B.02) (cleanly cracked) [4am, Firehawke]
Ripley's Using Other Sources (cleanly cracked) [4am, Firehawke]
Math #1: The Mechanics of Math Words (cleanly cracked) [4am, Firehawke]
The Readability Machine (Version 2.0) (cleanly cracked) [4am, Firehawke]
Let's Explore Word Processing (cleanly cracked) [4am, Firehawke]
Clef Notes (cleanly cracked) [4am, Firehawke]
The Elves and The Shoemaker (cleanly cracked) [4am, Firehawke]
12-Bar Tunesmith (cleanly cracked) [4am, Firehawke]
Aural Skills: Basic Chords (cleanly cracked) [4am, Firehawke]
Funbunch College Prep (cleanly cracked) [4am, san inc, Firehawke]
Aural Skills: Intervals (cleanly cracked) [4am, Firehawke]
Aural Skills: Seventh Chords (cleanly cracked) [4am, Firehawke]
Ear Challenger: A Music Game (cleanly cracked) [4am, Firehawke]
Ear Training Skills (cleanly cracked) [4am, Firehawke]
Find That Tune (cleanly cracked) [4am, Firehawke]
Keyboard Tutor (cleanly cracked) [4am, Firehawke]
Listen! A Music Skills Program (cleanly cracked) [4am, Firehawke]
Music Appreciation: The Musical Language (cleanly cracked) [4am, Firehawke]
Music Appreciation: Music History (cleanly cracked) [4am, Firehawke]
Music History Review: Composers (cleanly cracked) [4am, Firehawke]
Patterns in Pitch: Level One (cleanly cracked) [4am, Firehawke]
Patterns in Pitch: Level Two (cleanly cracked) [4am, Firehawke]
Patterns in Pitch: Level Three (cleanly cracked) [4am, Firehawke]
Patterns in Rhythm: Level Two (cleanly cracked) [4am, Firehawke]
Space Conquerors (Version 1.5) (cleanly cracked) [4am, san inc., Firehawke]
Note Detective I: Elementary Level (cleanly cracked) [4am, Firehawke]
Patterns in Rhythm: Level Three (cleanly cracked) [4am, Firehawke]
Mindscape's Reading Workshop: Grade 5 (cleanly cracked) [4am, Firehawke]
Lucky's Magic Hat (cleanly cracked) [4am, Firehawke]
Music Theory Flash Cards (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
The Three Stooges [4am, Firehawke]
The Logic Master (Version 1.5) [4am, Firehawke]
Mixed-Up Mother Goose (Version 2.0A) [4am, Firehawke]
Gnarly Golf [4am, Firehawke]
4th and Inches [4am, Firehawke]

-init vars for coverity (drivers/a) [Robbbert]

-init vars for coverity (drivers/b) [Robbbert]

-init vars for coverity (drivers/c) [Robbbert]

-init vars for coverity (drivers/d) [Robbbert]

-init vars for coverity (drivers/e) [Robbbert]

-init vars for coverity (drivers/f,g) [Robbbert]

-init vars for coverity (drivers/g) [Robbbert]

-init vars for coverity (drivers/h) [Robbbert]

-init vars for coverity (drivers/i) [Robbbert]

-init vars for coverity (drivers/j) [Robbbert]

-b5000: delay after ATB [hap]

-init vars for coverity (drivers/k) [Robbbert]

-init vars for coverity (drivers/l,m) [Robbbert]

-init vars for coverity (formats) [Robbbert]

Machines promoted to working
----------------------------
18R (Rockwell) [hap, Sean Riddle]

-sdl/window: add error retval check for bgfx on fallback [hap]

-vsnes.cpp: A few more improvements. (#9464) [0kmg]
 * Unify some functions that are the same on both Main and Sub sides of board.
 * Removed machine reset macro.

-m68k: fixed PC increment location on TRAPcc instructions (#9461) [Jean-François Fabre]

-fmtowns_flop_orig.xml: 4 new dumps + fix (#9460) [r09]
 * fmtowns_flop_orig: Fixed Scenario Disk 3 for Dragon Slayer: The Legend of Heroes II, which had an incorrectly converted
    protection sector.

New working software list additions
-----------------------------------
Think Lead Gakushuu System - FM Towns CMI Program [cyo.the.vile]
Think Lead Gakushuu System - FM Towns Theme-betsu Gakushuu Series - Jikkou Program Ver. 2 [cyo.the.vile]
Think Lead Gakushuu System - Shougaku Rika 5-nen - Tane no Hatsuga (1) [cyo.the.vile]
Think Lead Gakushuu System - Shougaku Rika 6-nen - Karada no Tsukuri (1) [cyo.the.vile]

-galaxian.cpp: add demo sound DIP switch to sfx, skelagon, monsterz & monsterza (MT08268) (#9465) [Steven Coomber]

-gunshot: Moved to spinb.cpp [Robbbert]

-mp110, mp120, mp130, mp2000, mp2100, newtonmp: Incomplete machine description MT07908 [sjy96525] (#8979) [sjy525]

-j5hilos: The description of the game is wrong. the hyphen between "Hi" and "Lo" is missing.  MT07190 [sjy96525] (#8974) [sjy525]

-Correct Hi-Lo Silver JPM Impact Version description [sjy96525] (#8973) [sjy525]

-Correct Hi-Lo Silver BFM System 85 Version description [sjy96525] (#8972) [sjy525]

-kaypro.cpp: added information about the Kaypro 5 (#9156) [rfka01]

-New NOT_WORKING machine (#9317) [ClawGrip]

New NOT_WORKING machine
-----------------------
Super Road Champions (TTL) [f205v]

-playch10.cpp: Replaced RP5H01 rom in prototype dumps. (#9386) [0kmg]

-pang3b4 and pang3b5 (#9392) [janniz]

New working clones
------------------
Pang! 3 (bootleg, set 4) [janniz]
Pang! 3 (bootleg, set 5) [janniz]

-famibox.xml: Initial software list.  [Fiskbit, ICEknigh7, j4m13c0, joey4, kmg, Marionova64, Patnukem, RetroGE, togemet2] (#9411)
 [0kmg]

-neogeo.xml - lastblad: Correct year and add alt title (#9432) [CanoeHope]

-New NOT_WORKING machines (#9466) [ClawGrip]

New NOT_WORKING machines
------------------------
Basketball (Benchmark Games, set 1) [Museo del Recreativo, ClawGrip]
Ten Strike Classic [Museo del Recreativo, ClawGrip]

New NOT_WORKING clones
----------------------
Basketball (Benchmark Games, set 2) [Museo del Recreativo, ClawGrip]

-8080bw.cpp: add bonus life DIP switch to rollingc (MT08267) (#9463) [Steven Coomber]

-nes.xml: Added a couple large dumps. (#9467) [0kmg]

New working software list additions
-----------------------------------
Super Games 143 in 1 (HKMK-143) [Consolethinks]

New NOT_WORKING software list additions
---------------------------------------
Game 500 in 1 (alt) [Consolethinks]

-Added MS-DOS (Version 3.2) (Alt.) [winworldpc] (#9445) [telanus]

New working software list additions
-----------------------------------
ibm5150: MS-DOS (Version 3.2) (Alt.) [winworldpc]


-fixes for mame.lst [Robbbert]

-Update senjyo.cpp [wd40yasu]
 * According to tweet (https://twitter.com/sintan_jp/status/1294465615076315142) by Shinichi Sakamoto (composer and one of sound
    circuit designers of Senjyo / Starforce), fuse ROM is used to store waveform data. Read it by CTC to generate frequency, then
    send it to R-2R ladder DAC

-j5hilos: typo on prev commit [hap]

-Time Traveler (set 1) - promoted to working (#9468) [Ryan Holtz]
 * machine/laserdsc.cpp: Added functionality to retrieve if a disc is CAV.
 * machine/ldv4200hle.cpp: Added high-level Pioneer LD-V4200 player emulation.

Machines promoted to working
----------------------------
Time Traveler (set 1) [Ryan Holtz, Matt O, ld-decode Team]

-misatk: change title string [hap]

-dec0.cpp: fix midres2 control scheme [angelosa]

-hankin.cpp: fix empsback title [Angelo Salese]

-misatk: driver note was wrong way around [hap]

-hash/apple*: remove html tags from comments [hap]

-Fixed bill validator hookup in Time Traveler (#9470) [MooglyGuy]
 * -timetrv: Replaced IPT_COIN2 with IPT_BILL1, as it is the bill-validator input. [Ryan Holtz]
 * -laserdsc: Added savestate registration. [Ryan Holtz]
   - Co-authored-by: MooglyGuy <mog@home>

-bus/nes: Removed useless open bus comments. (#9471) [0kmg]

-vgmplay.xml: Added 37 new entries and corrected a shortname (shanghai -> shangkid). [vgmrips.net, Tafoid]

-Temporarily remove duplicate Apple-oids and Chipout disk pending detailed analysis (#9472) [Firehawke]

-cosmos_playc8f.cpp: Fix Basketball sets (#9473) [ClawGrip]

-cdi.xml:  Corrected a mistaken copy/pasted hash for bestphoto92 [Scott Stone]

-hng64.cpp: make titles consistent (#9297) [Michael Sanborn]

-New NOT_WORKING software list additions  (#9437) [ClawGrip]

New NOT_WORKING software list additions
---------------------------------------
roland_tnsc1.xml: [ClawGrip]
70's and 80's (TN-SC1-03) [Sean Riddle, ClawGrip]


-srcclean and manual tidying up in preparation for 0.242 release [Vas Crabb]

-cobram3: fixed an assert in the debug build [Robbbert]

-timetrv: Fixed layout to not warp screen to non-4:3 aspect. [Ryan Holtz] (#9475) [MooglyGuy]

-timetrv: corrected screen height in layout. [Vas Crabb]

-timetrv: Hooked up 1-bit audio DAC. [Ryan Holtz] (#9476) [MooglyGuy]
 * Co-authored-by: MooglyGuy <mog@home>

-timetrv: Removed stray debugging printf. (#9477) [MooglyGuy]
 * Co-authored-by: MooglyGuy <mog@home>

-ldv4200hle: Fixed overshoot issue with Multi-Speed Forward/Reverse. [Ryan Holtz] (#9483) [MooglyGuy]
 * Co-authored-by: MooglyGuy <mog@home>

-apple2_flop_orig.xml: Removed a stray space [Vas Crabb]

-s7.cpp: Removed Spellbinder as it isn't an original game. [Vas Crabb]
 * This is an incomplete homebrew made for a one-off prototype playfield that was nto developed further or put into production.
